//******************************************************************************
// rm005.sc                                                              Kitchen 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 5)
//******************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj")
//******************************************************************************
(local
)
//******************************************************************************
(instance public rm005 of Rm
(properties picture scriptNumber)
  (method (init)
  (super:init())
  = goToRoom 0
   
  (self:setScript(RoomScript))
    
  //********************************************
  // Handle the Ego placement
  //******************************************** 
  SetUpEgo(0 1)		
  (send gEgo:init())
  (switch(gPreviousRoomNumber)
  	(case 3(send gEgo:posn(15 121)loop(0)))
  	(case 4(send gEgo:posn(286 121)loop(1))) 
  	(case 6(send gEgo:posn(175 117)loop(2)))
  	(case 7 // battle Room
  		   (if(== battleRoom 3)(send gEgo:posn(15 121)loop(0)))
  		   (if(== battleRoom 4)(send gEgo:posn(286 121)loop(1)))
  		   (if(== battleRoom 6)(send gEgo:posn(175 117)loop(2)))
  		   = battleRoom 0 
  		   = nextRoom 0
	) 
    (default(send gEgo:posn(15 121)loop(0)))
  )// end switch 
  
  //********************************************
  // Next Room Battle ...
  //********************************************
   battleMode()
 
  //********************************************
  // Handle the room accessories
  //********************************************
  (wallSplatter:addToPic()ignoreActors()setPri(2))
  (floorSplatter:addToPic()ignoreActors())
  (knives:addToPic()ignoreActors())  
  (fridgeShelves:addToPic()ignoreActors()setPri(1))

  //********************************************
  // Handle the rooms items
  //******************************************** 
  (if(== item1Room 5) (lostItem1:init())) 
  (if(== item2Room 5) (lostItem2:init())) 
  //(if(== item3Room 5) (lostItem3:init())) 
  //(if(== item4Room 5) (lostItem4:init())) 
  //(if(== item5Room 5) (lostItem5:init())) 
  //(if(== item6Room 5) (lostItem6:init())) 
  //(if((== item7Room 5) or (== item7Room 6)) (lostItem7:init())) 
  //(if(== item8Room 5) (lostItem8:init())) // moved to room 6... trying to save heap
  (if((== item9Room 5) or (== item9Room 6)) (lostItem9:init())) 
  (if(== item10Room 5) (lostItem10:init())) 
  //(if(== item11Room 5) (lostItem11:init())) // moved to room 6... trying to save heap 
  (if(== item12Room 5) (lostItem12:init())) 
  (if((== item13Room 5) or (== item13Room 6)) (lostItem13:init()))
   
  (if((== gotKetchup FALSE) or (== item5Room 5) or (== item5Room 6))(ketchup:init()ignoreActors()setPri(2)))
  (if((== gotLettuce FALSE) or (== item6Room 5) or (== item6Room 6))(lettuce:init()ignoreActors()setPri(2)))
  //********************************************
  // Handle the Doors...
  //********************************************
  (if(basementOpen)(send gEgo:ignoreControl(ctlGREEN))(basementDoor:init()cel(1)posn(339 87)ignoreActors()))
  (else (basementDoor:init()setPri(1)ignoreActors())(send gEgo:observeControl(ctlGREEN)))
    
  (if(bedroomOpen)(send gEgo:ignoreControl(ctlNAVY))(bedroomDoor:init()posn(190 113)cel(1)ignoreActors()))
  (else (bedroomDoor:init()ignoreActors())(send gEgo:observeControl(ctlNAVY)))   
  
  (if(fridgeOpen)(fridgeDoor:init()posn(259 103)cel(1)ignoreActors()))
  (else (fridgeDoor:init()ignoreActors()))
  
  (if(microwaveOpen)(microwave:addToPic()ignoreActors()cel(4)setPri(5)))	
  (else(microwave:init()ignoreActors()setPri(5)))
  //******************************************** 
  // Handle the Menu Icons...
  //********************************************
  (walkIcon:setPri(15)addToPic())
  (talkIcon:setPri(15)addToPic())
  (lookIcon:setPri(15)addToPic())
  (handIcon:setPri(15)addToPic())
  
  (healthBackDrop:setPri(14)addToPic())
  (healthBar:setPri(15)init()cel(egoHealth))
  //******************************************** 
  // Handle the Lighting...
  //********************************************
  (if(== lightLevel 1)(noLight:init()ignoreActors()cel(1)setPri(13)posn((send gEgo:x) (- (send gEgo:y) 20))setScript(noLightEgo)))
  (if(== lightLevel 0)(noLight:init()ignoreActors()setPri(13)posn((send gEgo:x) (- (send gEgo:y) 20))setScript(noLightEgo)))
  (if(< lightLevel 2)
   (coverA1:init()ignoreActors()setPri(13)posn(37 (- (noLight:y) 75))) 
   (coverA2:init()ignoreActors()setPri(13)posn(112 (- (noLight:y) 75)))
   (coverA3:init()ignoreActors()setPri(13)posn(187 (- (noLight:y) 75)))
   (coverA4:init()ignoreActors()setPri(13)posn(262 (- (noLight:y) 75)))
   (coverA5:init()ignoreActors()setPri(13)posn(337 (- (noLight:y) 75)))  
   (cover1:init()posn((+ (send gEgo:x) 75) (- (send gEgo:y) 20))ignoreActors()setPri(13)) 
   (cover2:init()posn((+ (send gEgo:x) 150) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover3:init()posn((+ (send gEgo:x) 225) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover4:init()posn((+ (send gEgo:x) 300) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover5:init()posn((- (send gEgo:x) 75) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover6:init()posn((- (send gEgo:x) 150) (- (send gEgo:y) 20))ignoreActors()setPri(13)) 
   (cover7:init()posn((- (send gEgo:x) 225) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover8:init()posn((- (send gEgo:x) 300) (- (send gEgo:y) 20))ignoreActors()setPri(13))  
   (coverB1:init()posn(37 (+ (noLight:y) 53))ignoreActors()setPri(13)) 
   (coverB2:init()posn(112 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB3:init()posn(187 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB4:init()posn(262 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB5:init()posn(337 (+ (noLight:y) 53))ignoreActors()setPri(13)) 
  )    
  //******************************************** 
  // Handle the Inventory...
  //********************************************
  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position
  
    (for (= i 1) (<= i totalItems) (++i)
     (switch(i)
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
       (case 11 = thisItem inventory11)
       (case 12 = thisItem inventory12)
       (case 13 = thisItem inventory13)
       (case 14 = thisItem inventory14)
	 )// end switch
	 (if(send gEgo:has(i))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop
	    
  )// end method
)// end instance
//******************************************************************************
// Rooms Views, Props, and Actors
//******************************************************************************
(instance wallSplatter of Prop(properties x 116 y 48 view 305 loop 0 cel 0))
(instance floorSplatter of Prop(properties x 239 y 120 view 305 loop 0 cel 3))
(instance microwave of Prop(properties x 48 y 67 view 305 loop 0 cel 1))
(instance knives of Prop(properties x 115 y 78 view 305 loop 0 cel 2))
(instance bedroomDoor of Prop(properties x 175 y 113 view 305 loop 1 cel 0))
(instance basementDoor of Prop(properties x 296 y 128 view 305 loop 2 cel 0))
(instance fridgeDoor of Prop(properties x 240 y 103 view 305 loop 3 cel 0))
(instance fridgeShelves of Prop(properties x 240 y 101 view 305 loop 4 cel 0))
(instance ketchup of Prop(properties x 229 y 90 view 305 loop 4 cel 1))
(instance lettuce of Prop(properties x 237 y 74 view 305 loop 4 cel 2))


(instance lostItem1 of Prop(properties x 136 y 79 view 950 loop 3 cel 2))
(instance lostItem2 of Prop(properties x 136 y 79 view 950 loop 3 cel 2))
//(instance lostItem3 of Prop(properties x 232 y 58 view 950 loop 3 cel 3))
//(instance lostItem4 of Prop(properties x 41 y 61 view 950 loop 3 cel 4))
//(instance lostItem5 of Prop(properties x 229 y 89 view 950 loop 3 cel 5))
//(instance lostItem6 of Prop(properties x 237 y 73 view 950 loop 3 cel 6))
//(instance lostItem7 of Prop(properties x 238 y 77 view 950 loop 3 cel 7))
//(instance lostItem8 of Prop(properties x 31 y 79 view 950 loop 3 cel 8))
(instance lostItem9 of Prop(properties x 238 y 99 view 950 loop 3 cel 9))
(instance lostItem10 of Prop(properties x 60 y 78 view 950 loop 3 cel 10))
//(instance lostItem11 of Prop(properties x 239 y 25 view 950 loop 3 cel 11))
(instance lostItem12 of Prop(properties x 252 y 58 view 950 loop 3 cel 12))
(instance lostItem13 of Prop(properties x 111 y 79 view 950 loop 3 cel 13))
//******************************************************************************
// Health Bar
//******************************************************************************
(instance healthBackDrop of Prop(properties x 67 y 182 view 10 loop 0 cel 0))
(instance healthBar of Prop(properties x 77 y 175 view 10 loop 1 cel 0))
//******************************************************************************
// Menu Icons
//******************************************************************************
(instance walkIcon of Prop(properties x 21 y 160 view 950 loop 0 cel 0))
(instance talkIcon of Prop(properties x 51 y 160 view 950 loop 0 cel 1))
(instance lookIcon of Prop(properties x 81 y 160 view 950 loop 0 cel 2))
(instance handIcon of Prop(properties x 112 y 160 view 950 loop 0 cel 3))
//******************************************************************************
// Inventory
//******************************************************************************
(instance inventory1 of Prop(properties x 400 y 400 view 950 loop 5 cel 1))
(instance inventory2 of Prop(properties x 400 y 400 view 950 loop 5 cel 2))
(instance inventory3 of Prop(properties x 400 y 400 view 950 loop 5 cel 3))
(instance inventory4 of Prop(properties x 400 y 400 view 950 loop 5 cel 4))
(instance inventory5 of Prop(properties x 400 y 400 view 950 loop 5 cel 5))
(instance inventory6 of Prop(properties x 400 y 400 view 950 loop 5 cel 6))
(instance inventory7 of Prop(properties x 400 y 400 view 950 loop 5 cel 7))
(instance inventory8 of Prop(properties x 400 y 400 view 950 loop 5 cel 8))
(instance inventory9 of Prop(properties x 400 y 400 view 950 loop 5 cel 9))
(instance inventory10 of Prop(properties x 400 y 400 view 950 loop 5 cel 10))
(instance inventory11 of Prop(properties x 400 y 400 view 950 loop 5 cel 11))
(instance inventory12 of Prop(properties x 400 y 400 view 950 loop 5 cel 12))
(instance inventory13 of Prop(properties x 400 y 400 view 950 loop 5 cel 13))
(instance inventory14 of Prop(properties x 400 y 400 view 950 loop 5 cel 14))
//******************************************************************************
// Lighting
//******************************************************************************
(instance noLight of Prop(properties x 400 y 400 view 2 loop 0 cel 0))
(instance coverA1 of Prop(properties x 37 y 30 view 2 loop 1 cel 1))
(instance coverA2 of Prop(properties x 112 y 30 view 2 loop 1 cel 1))
(instance coverA3 of Prop(properties x 187 y 30 view 2 loop 1 cel 1))
(instance coverA4 of Prop(properties x 262 y 30 view 2 loop 1 cel 1))
(instance coverA5 of Prop(properties x 337 y 30 view 2 loop 1 cel 1))
(instance cover1 of Prop(properties x 37 y 100 view 2 loop 1 cel 0))
(instance cover2 of Prop(properties x 112 y 100 view 2 loop 1 cel 0))
(instance cover3 of Prop(properties x 187 y 100 view 2 loop 1 cel 0))
(instance cover4 of Prop(properties x 262 y 100 view 2 loop 1 cel 0))
(instance cover5 of Prop(properties x 337 y 100 view 2 loop 1 cel 0))
(instance cover6 of Prop(properties x 37 y 100 view 2 loop 1 cel 0))
(instance cover7 of Prop(properties x 112 y 100 view 2 loop 1 cel 0))
(instance cover8 of Prop(properties x 187 y 100 view 2 loop 1 cel 0))
(instance coverB1 of Prop(properties x 37 y 152 view 2 loop 1 cel 2))
(instance coverB2 of Prop(properties x 112 y 152 view 2 loop 1 cel 2))
(instance coverB3 of Prop(properties x 187 y 152 view 2 loop 1 cel 2))
(instance coverB4 of Prop(properties x 262 y 152 view 2 loop 1 cel 2))
(instance coverB5 of Prop(properties x 337 y 152 view 2 loop 1 cel 2))
//******************************************************************************
(instance RoomScript of Script
(properties)
  (method (doit)
  (super:doit())     
   //******************************************** 
   // Handle the Room Transitions...
   //********************************************
   (if(send gEgo:inRect(0 0 5 180))
   	  (if(doBattle) = battleRoom 5 // from room
   	  	            = nextRoom 3   // to room
   	  	            = goToRoom 7)
   	  (else = goToRoom 3)
   ) 
   (if(send gEgo:inRect(0 0 320 113)) 
   	  (if((== lightLevel 2) and (bedroomClosetOpen))
   	     = finalShowdown TRUE
   	     = goToRoom 9
	  )
	  (else
   	    (if(doBattle) = battleRoom 5 // from room
   	  	            = nextRoom 6   // to room
   	  	            = goToRoom 7)
   	    (else = goToRoom 6)
	  )
   ) 
   (if(send gEgo:inRect(305 116 320 180)) 
   	  (if(doBattle) = battleRoom 5 // from room
   	  	            = nextRoom 4   // to room
   	  	            = goToRoom 7)
   	  (else = goToRoom 4)
   ) 
  
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC scriptNumber)
    UnLoad(rsSCRIPT scriptNumber)
    UnLoad(rsTEXT scriptNumber)
    UnLoad(rsTEXT 500) // Inventory
    UnLoad(rsTEXT 501) // Inventory 
    UnLoad(rsVIEW 2)   // Dark views
    UnLoad(rsSCRIPT 950) // pnc script    
    UnLoad(rsTEXT 950)   // pnc text
    UnLoad(rsVIEW 950)   // pnc views
    UnLoad(rsVIEW 305)     
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0
  )// end doit method

  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if(==(send pEvent:type())evMOUSEBUTTON)
    (if(& (send pEvent:modifiers) emRIGHT_BUTTON)
       (if(== gProgramControl TRUE)(send pEvent:claimed(TRUE)))// do nuthin 
       (else
       	(send pEvent:claimed(TRUE))
        (switch(gCurrentCursor)
         (case itemIcon  SetCursor(999 HaveMouse()) = gCurrentCursor 999)// item to walk
         (case 999 SetCursor(996 HaveMouse()) = gCurrentCursor 996)// walk to talk
         (case 996 SetCursor(998 HaveMouse()) = gCurrentCursor 998)// talk to look
         (case 998 SetCursor(995 HaveMouse()) = gCurrentCursor 995)// look to touch
         (case 995 
         	(if (== itemIcon 900)SetCursor(999 HaveMouse()) = gCurrentCursor 999)// touch to walk if no item
       		(else SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon)// touch to item
	     )// end case
        )// end switch
	   )
      )// end right button	
      (if(not(& (send pEvent:modifiers) emRIGHT_BUTTON))// left clicks
       (if(== gProgramControl FALSE)
//****************************************************************************
// PLAYABLE AREA                                  
//****************************************************************************
// clicks on Ego   - Only register food, all other clicks assume aren't on ego                               
//****************************************************************************
(if((> (send pEvent:x) (send gEgo:nsLeft))and
	(< (send pEvent:x) (send gEgo:nsRight))and
	(> (send pEvent:y) (send gEgo:nsTop))and
	(< (send pEvent:y) (send gEgo:nsBottom)))
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 3 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 6)Print(0 7)Print(0 8)   // rotting ham
    	    (inventory3:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(3))
	)
    (case 4 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 9)Print(0 7)Print(0 8)   // rotting turkey
    	    (inventory4:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(4))
	)
    (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 10))   // ketchup
    (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 11))   // lettuce
    (case 7 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 12)Print(0 13)   // salad
    	    (inventory5:cel(0))
    	    (inventory6:cel(0))
    	    (inventory7:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(7))
	)
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))  // all other cursors
  ) // end switch
) // end if ego                                  
//****************************************************************************
// Menu Icons                                  
//****************************************************************************
(if((> (send pEvent:x) (walkIcon:nsLeft))and
	         (< (send pEvent:x) (walkIcon:nsRight))and
	         (> (send pEvent:y) (walkIcon:nsTop))and
	         (< (send pEvent:y) (walkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(999 HaveMouse()) 
             = gCurrentCursor 999
		 )
(if((> (send pEvent:x) (talkIcon:nsLeft))and
	         (< (send pEvent:x) (talkIcon:nsRight))and
	         (> (send pEvent:y) (talkIcon:nsTop))and
	         (< (send pEvent:y) (talkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(996 HaveMouse()) 
             = gCurrentCursor 996
		 )
(if((> (send pEvent:x) (lookIcon:nsLeft))and
	         (< (send pEvent:x) (lookIcon:nsRight))and
	         (> (send pEvent:y) (lookIcon:nsTop))and
	         (< (send pEvent:y) (lookIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(998 HaveMouse()) 
             = gCurrentCursor 998
		 )
(if((> (send pEvent:x) (handIcon:nsLeft))and
	         (< (send pEvent:x) (handIcon:nsRight))and
	         (> (send pEvent:y) (handIcon:nsTop))and
	         (< (send pEvent:y) (handIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(995 HaveMouse()) 
             = gCurrentCursor 995
		 )                                  
//****************************************************************************
// Clicks on Inventory                                   
//****************************************************************************
(for (= i 1) (<= i totalItems) (++i)  
     (switch(i)
       (case 1 = thisItem inventory1            = thisTitle "Flashlight")
       (case 2 = thisItem inventory2            = thisTitle "Flashlight")
       (case 3 = thisItem inventory3            = thisTitle "Rotting Ham")
       (case 4 = thisItem inventory4            = thisTitle "Rotting Turkey")
       (case 5 = thisItem inventory5            = thisTitle "Ketchup")
       (case 6 = thisItem inventory6            = thisTitle "Lettuce")
       (case 7 = thisItem inventory7            = thisTitle "Salad")
       (case 8 = thisItem inventory8            = thisTitle "Intimate Personal Massager")
       (case 9 = thisItem inventory9            = thisTitle "Wire")
       (case 10 = thisItem inventory10          = thisTitle "Batteries")
       (case 11 = thisItem inventory11          = thisTitle "Vintage Perfume Atomizer")
       (case 12 = thisItem inventory12          = thisTitle "Key")
       (case 13 = thisItem inventory13          = thisTitle "Fuses")
       (case 14 = thisItem inventory14          = thisTitle "Golden Chalice")
	 )	      
     = isSpecial FALSE           // check if i is a special case value
     (for (= a 0) (< a 5) (++a) // ***************************** reflect size of specialCase array !!!!!!!!!!
     	(if(== specialCase[a] i)
     	= isSpecial TRUE
		)
	 )	
  (if(not(isSpecial))	 
  (if((> (send pEvent:x)(send thisItem:nsLeft))and // item ### 
      (< (send pEvent:x)(send thisItem:nsRight))and
      (> (send pEvent:y)(send thisItem:nsTop))and
      (< (send pEvent:y)(send thisItem:nsBottom)))
      (switch(send thisItem:cel)
      	(case 0 )// cel 0, probly been dropped
      	(case i  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) Print(500 i #title thisTitle #icon 950 4 i #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(i HaveMouse())// get
                      = itemIcon i
                      = gCurrentCursor i)
            (case i (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
      )// end inventory cel switch
  )// ends click on view 
  )// ends not special...
)// ends for loop

// Inventory Special Cases
  (if((> (send pEvent:x)(inventory1:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory1:nsRight))and
      (> (send pEvent:y)(inventory1:nsTop))and
      (< (send pEvent:y)(inventory1:nsBottom)))
      (switch(inventory1:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 1  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 1 #title "Flashlight" #icon 950 4 1 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(1 HaveMouse())// get
                      = itemIcon 1
                      = gCurrentCursor 1)
            (case 1 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 10 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 16) // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory1:cel(2))
                     (inventory10:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print(501 17)
                         (noLight:cel(1))	 
					  )
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  (if((> (send pEvent:x)(inventory10:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory10:nsRight))and
      (> (send pEvent:y)(inventory10:nsTop))and
      (< (send pEvent:y)(inventory10:nsBottom)))
      (switch(inventory10:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 10  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 10 #title "Batteries" #icon 950 4 10 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(10 HaveMouse())// get
                      = itemIcon 10
                      = gCurrentCursor 10)
            (case 10 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 1 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 16) // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory10:cel(2))
                     (inventory1:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995 
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print(501 17)
                         (noLight:cel(1))
					  )
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  
  (if((> (send pEvent:x)(inventory8:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory8:nsRight))and
      (> (send pEvent:y)(inventory8:nsTop))and
      (< (send pEvent:y)(inventory8:nsBottom)))
      (switch(inventory8:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 8  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 8 #title "Intimate Personal Massager" #icon 950 4 8 #time 15)// look
            	      Print(501 19)
            	      Print(501 20)
            	      (send gEgo:get(10))
            	      (send gEgo:put(8))
            	      = gotBatteries TRUE
            	      (inventory8:cel(0))
                      (send gGame:changeScore(3))
            	      = thisItem inventory10
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
  	        )
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk	      
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(8 HaveMouse())// get
                      = itemIcon 8
                      = gCurrentCursor 8)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
		  )// end current cursor switch
		)// end cel case
	  )	// ends switch	
  )// ends click on view

  (if((> (send pEvent:x)(inventory5:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory5:nsRight))and
      (> (send pEvent:y)(inventory5:nsTop))and
      (< (send pEvent:y)(inventory5:nsBottom)))
      (switch(inventory5:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 5  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 5 #title "Ketchup" #icon 950 4 5 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(5 HaveMouse())// get
                      = itemIcon 5
                      = gCurrentCursor 5)
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory5:cel(7))
                     (inventory6:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995 
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

  (if((> (send pEvent:x)(inventory6:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory6:nsRight))and
      (> (send pEvent:y)(inventory6:nsTop))and
      (< (send pEvent:y)(inventory6:nsBottom)))
      (switch(inventory6:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 6  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 6 #title "Lettuce" #icon 950 4 6 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(6 HaveMouse())// get
                      = itemIcon 6
                      = gCurrentCursor 6)
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory6:cel(7))
                     (inventory5:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view                                  
//****************************************************************************
// Regular Room Clicks                                  
//****************************************************************************
(if(== (send pEvent:type(evMOUSEBUTTON) claimed()) FALSE)	
(if(((> (send pEvent:x) (coverA1:nsLeft))and(< (send pEvent:x) (coverA1:nsRight))and(> (send pEvent:y) (coverA1:nsTop))and(< (send pEvent:y) (coverA1:nsBottom))) or
    ((> (send pEvent:x) (coverA2:nsLeft))and(< (send pEvent:x) (coverA2:nsRight))and(> (send pEvent:y) (coverA2:nsTop))and(< (send pEvent:y) (coverA2:nsBottom))) or
    ((> (send pEvent:x) (coverA3:nsLeft))and(< (send pEvent:x) (coverA3:nsRight))and(> (send pEvent:y) (coverA3:nsTop))and(< (send pEvent:y) (coverA3:nsBottom))) or
    ((> (send pEvent:x) (coverA4:nsLeft))and(< (send pEvent:x) (coverA4:nsRight))and(> (send pEvent:y) (coverA4:nsTop))and(< (send pEvent:y) (coverA4:nsBottom))) or
    ((> (send pEvent:x) (coverA5:nsLeft))and(< (send pEvent:x) (coverA5:nsRight))and(> (send pEvent:y) (coverA5:nsTop))and(< (send pEvent:y) (coverA5:nsBottom))) or
    ((> (send pEvent:x) (cover1:nsLeft))and(< (send pEvent:x) (cover1:nsRight))and(> (send pEvent:y) (cover1:nsTop))and(< (send pEvent:y) (cover1:nsBottom))) or
    ((> (send pEvent:x) (cover2:nsLeft))and(< (send pEvent:x) (cover2:nsRight))and(> (send pEvent:y) (cover2:nsTop))and(< (send pEvent:y) (cover2:nsBottom))) or
    ((> (send pEvent:x) (cover3:nsLeft))and(< (send pEvent:x) (cover3:nsRight))and(> (send pEvent:y) (cover3:nsTop))and(< (send pEvent:y) (cover3:nsBottom))) or
    ((> (send pEvent:x) (cover4:nsLeft))and(< (send pEvent:x) (cover4:nsRight))and(> (send pEvent:y) (cover4:nsTop))and(< (send pEvent:y) (cover4:nsBottom))) or
    ((> (send pEvent:x) (cover5:nsLeft))and(< (send pEvent:x) (cover5:nsRight))and(> (send pEvent:y) (cover5:nsTop))and(< (send pEvent:y) (cover5:nsBottom))) or
    ((> (send pEvent:x) (cover6:nsLeft))and(< (send pEvent:x) (cover6:nsRight))and(> (send pEvent:y) (cover6:nsTop))and(< (send pEvent:y) (cover6:nsBottom))) or
    ((> (send pEvent:x) (cover7:nsLeft))and(< (send pEvent:x) (cover7:nsRight))and(> (send pEvent:y) (cover7:nsTop))and(< (send pEvent:y) (cover7:nsBottom))) or
    ((> (send pEvent:x) (cover8:nsLeft))and(< (send pEvent:x) (cover8:nsRight))and(> (send pEvent:y) (cover8:nsTop))and(< (send pEvent:y) (cover8:nsBottom))) or
    ((> (send pEvent:x) (coverB1:nsLeft))and(< (send pEvent:x) (coverB1:nsRight))and(> (send pEvent:y) (coverB1:nsTop))and(< (send pEvent:y) (coverB1:nsBottom))) or
    ((> (send pEvent:x) (coverB2:nsLeft))and(< (send pEvent:x) (coverB2:nsRight))and(> (send pEvent:y) (coverB2:nsTop))and(< (send pEvent:y) (coverB2:nsBottom))) or
    ((> (send pEvent:x) (coverB3:nsLeft))and(< (send pEvent:x) (coverB3:nsRight))and(> (send pEvent:y) (coverB3:nsTop))and(< (send pEvent:y) (coverB3:nsBottom))) or
    ((> (send pEvent:x) (coverB4:nsLeft))and(< (send pEvent:x) (coverB4:nsRight))and(> (send pEvent:y) (coverB4:nsTop))and(< (send pEvent:y) (coverB4:nsBottom))) or
    ((> (send pEvent:x) (coverB5:nsLeft))and(< (send pEvent:x) (coverB5:nsRight))and(> (send pEvent:y) (coverB5:nsTop))and(< (send pEvent:y) (coverB5:nsBottom))))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 2))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 3))// other items
     )// end current cursor switch
)// end view
//*****************************************
// Lost Items
//*****************************************
  (else	
  (if((> (send pEvent:x) (lostItem1:nsLeft))and
    (< (send pEvent:x) (lostItem1:nsRight))and
    (> (send pEvent:y) (lostItem1:nsTop))and
    (< (send pEvent:y) (lostItem1:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 2)
      	                     (send gEgo:get(1))
      	                     (lostItem1:posn(400 400))
      	                     = item1Room 0
      	              = thisItem inventory1
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 3))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem2:nsLeft))and
    (< (send pEvent:x) (lostItem2:nsRight))and
    (> (send pEvent:y) (lostItem2:nsTop))and
    (< (send pEvent:y) (lostItem2:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 2)
      	                     (send gEgo:get(2))
      	                     (lostItem2:posn(400 400))
      	                     = item2Room 0
      	                     (if(== lightLevel 0)
      	                       = lightLevel 1
                               (noLight:cel(1))
							 )
      	              = thisItem inventory2
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 3))// other items
     )// end current cursor switch
  )// end view

/*  
(else	
  (if((> (send pEvent:x) (lostItem3:nsLeft))and
    (< (send pEvent:x) (lostItem3:nsRight))and
    (> (send pEvent:y) (lostItem3:nsTop))and
    (< (send pEvent:y) (lostItem3:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 4))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 5))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              (if(fridgeOpen)
      	                     Print(7 6)
      	                     (send gEgo:get(3))
      	                     (lostItem3:posn(400 400))
      	                     = item3Room 0
      	              = thisItem inventory3
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
					  )
					  (else Print(5 9)
      	        	  = fridgeOpen TRUE
      	        	  (fridgeDoor:cel(1)posn(259 103)))
					  	
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 7))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem4:nsLeft))and
    (< (send pEvent:x) (lostItem4:nsRight))and
    (> (send pEvent:y) (lostItem4:nsTop))and
    (< (send pEvent:y) (lostItem4:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 8))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 9))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              (if(microwaveOpen)
      	              	       Print(7 10)
      	                     (send gEgo:get(4))
      	                     (lostItem4:posn(400 400))
      	                     = item4Room 0
      	              = thisItem inventory4
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
					  )
					  (else
					  	= microwaveOpen TRUE
					  	(microwave:cel(4))
					  )
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 11))// other items
     )// end current cursor switch
  )// end view
*/
/*
  (else	
  (if((> (send pEvent:x) (lostItem5:nsLeft))and
    (< (send pEvent:x) (lostItem5:nsRight))and
    (> (send pEvent:y) (lostItem5:nsTop))and
    (< (send pEvent:y) (lostItem5:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 12))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 13))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 14)
      	                     (send gEgo:get(5))
      	                     (lostItem5:posn(400 400))
      	                     = item5Room 0
      	              = thisItem inventory5
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 15))// other items
     )// end current cursor switch
  )// end view
  */
  /*
  (else	
  (if((> (send pEvent:x) (lostItem6:nsLeft))and
    (< (send pEvent:x) (lostItem6:nsRight))and
    (> (send pEvent:y) (lostItem6:nsTop))and
    (< (send pEvent:y) (lostItem6:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 16))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 17))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 18)
      	                     (send gEgo:get(6))
      	                     (lostItem6:posn(400 400))
      	                     = item6Room 0
      	              = thisItem inventory6
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 19))// other items
     )// end current cursor switch
  )// end view
  */
  /*
  (else	
  (if((> (send pEvent:x) (lostItem7:nsLeft))and
    (< (send pEvent:x) (lostItem7:nsRight))and
    (> (send pEvent:y) (lostItem7:nsTop))and
    (< (send pEvent:y) (lostItem7:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 20))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 21))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	             
      	                     Print(7 22)
      	                     (send gEgo:get(7))
      	                     (lostItem7:posn(400 400))
      	                     = item7Room 0
      	              = thisItem inventory7
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
					  
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 23))// other items
     )// end current cursor switch
  )// end view
  */
  /*
  (else	
  (if((> (send pEvent:x) (lostItem8:nsLeft))and
    (< (send pEvent:x) (lostItem8:nsRight))and
    (> (send pEvent:y) (lostItem8:nsTop))and
    (< (send pEvent:y) (lostItem8:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 24))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 25))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 26)
      	                     (send gEgo:get(8))
      	                     (lostItem8:posn(400 400))
      	                     = item8Room 0
      	              = thisItem inventory8
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 27))// other items
     )// end current cursor switch
  )// end view
 */ 
  (else	
  (if((> (send pEvent:x) (lostItem9:nsLeft))and
    (< (send pEvent:x) (lostItem9:nsRight))and
    (> (send pEvent:y) (lostItem9:nsTop))and
    (< (send pEvent:y) (lostItem9:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 44))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 45))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              (if(fridgeOpen)
      	              	       Print(7 46)
      	                     (send gEgo:get(9))
      	                     (lostItem9:posn(400 400))
      	                     = item9Room 0
      	              = thisItem inventory9
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
					  )
					  (else Print(5 9)
      	        	  = fridgeOpen TRUE
      	        	  (fridgeDoor:cel(1)posn(259 103)))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 47))// other items
     )// end current cursor switch
  )// end view
  
  (else	
  (if((> (send pEvent:x) (lostItem10:nsLeft))and
    (< (send pEvent:x) (lostItem10:nsRight))and
    (> (send pEvent:y) (lostItem10:nsTop))and
    (< (send pEvent:y) (lostItem10:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 28))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 29))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 30)
      	                     (send gEgo:get(10))
      	                     (lostItem10:posn(400 400))
      	                     = item10Room 0
      	              = thisItem inventory10
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 31))// other items
     )// end current cursor switch
  )// end view
  /*
  (else	
  (if((> (send pEvent:x) (lostItem11:nsLeft))and
    (< (send pEvent:x) (lostItem11:nsRight))and
    (> (send pEvent:y) (lostItem11:nsTop))and
    (< (send pEvent:y) (lostItem11:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 32))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 33))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 34)
      	                     (send gEgo:get(11))
      	                     (lostItem11:posn(400 400))
      	                     = item11Room 0
      	              = thisItem inventory11
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 35))// other items
     )// end current cursor switch
  )// end view
  */
  (else	
  (if((> (send pEvent:x) (lostItem12:nsLeft))and
    (< (send pEvent:x) (lostItem12:nsRight))and
    (> (send pEvent:y) (lostItem12:nsTop))and
    (< (send pEvent:y) (lostItem12:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 36))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 37))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              (if(fridgeOpen)
      	              	       Print(7 38)
      	                     (send gEgo:get(12))
      	                     (lostItem12:posn(400 400))
      	                     = item12Room 0
      	              = thisItem inventory12
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
					  )
					  (else Print(5 9)
      	        	  = fridgeOpen TRUE
      	        	  (fridgeDoor:cel(1)posn(259 103)))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 39))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem13:nsLeft))and
    (< (send pEvent:x) (lostItem13:nsRight))and
    (> (send pEvent:y) (lostItem13:nsTop))and
    (< (send pEvent:y) (lostItem13:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 40))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 41))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 42)
      	                     (send gEgo:get(13))
      	                     (lostItem13:posn(400 400))
      	                     = item13Room 0
      	              = thisItem inventory13
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 43))// other items
     )// end current cursor switch
  )// end view
//*********************************************	
(else	
(if((> (send pEvent:x) (fridgeDoor:nsLeft))and
    (< (send pEvent:x) (fridgeDoor:nsRight))and
    (> (send pEvent:y) (fridgeDoor:nsTop))and
    (< (send pEvent:y) (fridgeDoor:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// look
      	        (if(fridgeOpen)Print(5 4))
      	        (else Print(5 5))
	  )
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// talk
      	        (if(fridgeOpen)Print(5 6))
      	        (else Print(5 7))
	  )
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(fridgeOpen)Print(5 8))
      	        (else Print(5 9)
      	        	  = fridgeOpen TRUE
      	        	  (fridgeDoor:cel(1)posn(259 103)))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// other items
      	        (if(fridgeOpen)Print(5 10))
      	        (else Print(5 11))
	  )
     )// end current cursor switch
)// end view	 
(else	
(if((> (send pEvent:x) (bedroomDoor:nsLeft))and
    (< (send pEvent:x) (bedroomDoor:nsRight))and
    (> (send pEvent:y) (bedroomDoor:nsTop))and
    (< (send pEvent:y) (bedroomDoor:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// look
      	        (if(bedroomOpen)Print(5 12))
      	        (else Print(5 13))
	  )
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// talk
      	        (if(bedroomOpen)Print(5 14))
      	        (else Print(5 15))
	  )
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(bedroomOpen)Print(5 8))
      	        (else Print(5 16)
      	        	  = bedroomOpen TRUE
      	        	  (bedroomDoor:cel(1)posn(190 113)))
      	        	  (send gEgo:ignoreControl(ctlNAVY))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// other items
      	        (if(bedroomOpen)Print(5 17))
      	        (else Print(5 18))
	  )
     )// end current cursor switch
)// end view		 
(else	
(if((> (send pEvent:x) (microwave:nsLeft))and
    (< (send pEvent:x) (microwave:nsRight))and
    (> (send pEvent:y) (microwave:nsTop))and
    (< (send pEvent:y) (microwave:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// look
      	        (if(microwaveOpen)Print(5 26))
      	        (else Print(5 28))
      	        (if(== item4Room 5)Print(5 27))
	  )
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 29))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(microwaveOpen)Print(5 30))
      	        (else Print(5 31)
      	        	  = microwaveOpen TRUE
      	        	  (microwave:cel(4)))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// other items
      	        (if(microwaveOpen)Print(5 32))
      	        (else Print(5 33))
	  )
     )// end current cursor switch
)// end view	 
(else	
(if((> (send pEvent:x) (basementDoor:nsLeft))and
    (< (send pEvent:x) (basementDoor:nsRight))and
    (> (send pEvent:y) (basementDoor:nsTop))and
    (< (send pEvent:y) (basementDoor:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// look
      	        (if(basementOpen)Print(5 12))
      	        (else Print(5 13))
	  )
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// talk
      	        (if(basementOpen)Print(5 14))
      	        (else Print(5 15))
	  )
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(basementOpen)Print(5 8))
      	        (else Print(5 16)
      	        	  = basementOpen TRUE
      	        	  (basementDoor:cel(1)posn(339 87)))
      	        	  (send gEgo:ignoreControl(ctlGREEN))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// other items
      	        (if(basementOpen)Print(5 17))
      	        (else Print(5 18))
	  )
     )// end current cursor switch
)// end view		
(else	
(if((> (send pEvent:x) (ketchup:nsLeft))and
    (< (send pEvent:x) (ketchup:nsRight))and
    (> (send pEvent:y) (ketchup:nsTop))and
    (< (send pEvent:y) (ketchup:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 19))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 20))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(5 21)
      	        	  = gotKetchup TRUE
      	        	  = item5Room 0
      	        	  (ketchup:posn(339 87))
      	        	  (send gEgo:get(5))
      	        	  (send gGame:changeScore(1))
      	        	  
            	      = thisItem inventory5
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 22))// other items
    )// end current cursor switch
)// end view		
(else	
(if((> (send pEvent:x) (lettuce:nsLeft))and
    (< (send pEvent:x) (lettuce:nsRight))and
    (> (send pEvent:y) (lettuce:nsTop))and
    (< (send pEvent:y) (lettuce:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 23))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 24))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(5 25)
      	        	  = gotLettuce TRUE
      	        	  = item6Room 0
      	        	  (lettuce:posn(339 87))
      	        	  (send gEgo:get(6))
      	        	  (send gGame:changeScore(1))
      	        	  
            	      = thisItem inventory6
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 26))// other items
     )// end current cursor switch
)// end view

(else
// Click on Priority
(if(== $0004 OnControl(ocPRIORITY (send pEvent:x) (send pEvent:y)))        // Green 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 34))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 35))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 36))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 37))// item
     )// end current cursor switch
)// end if Priority
(else
// Click on Control
(if(== $0008 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Teal 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 38))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 39))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 40))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 41))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $2000 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // cabinets 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 42))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 43))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 44))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 45))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0200 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // blue 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 46))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 47))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 48))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 49))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0800 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Cyan 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 50))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 51))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 52))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 53))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0080 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Silver 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 54))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 55))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 56))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 57))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0400 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Lime 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 58))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 51))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 59))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(5 60))// item
     )// end current cursor switch
)// end if Control
//****************************************************************************
//                                                            // Room defaults
(else
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 0))// look
    (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 1))// talk
    (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 2))// get
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) // items
    	      (switch(Random(0 2))
    	      	(case 0 Print(950 22))
    	      	(case 1 Print(950 23))
    	      	(case 2 Print(950 24))
    	      )// end random switch
    )// end default case
  )// end cursor switch
)// end else room default	
//*************************************
)))))))))))))))))))//)))))))
//*************************************/
)// ends check of claimed or not
	   )// end if not program control
      )// end left click
    )// end mouse button
  )// end method
)// end instance

//********************************************
(instance noLightEgo of Script
(properties)
  (method (doit)
  	(var lightingLevel darkHeight)
  (super:doit()) 
  = darkHeight 53
  
  (noLight:posn((send gEgo:x) (- (send gEgo:y) 20)))
  (coverA1:posn(37 (- (noLight:y) 75))) 
  (coverA2:posn(112 (- (noLight:y) 75))) 
  (coverA3:posn(187 (- (noLight:y) 75))) 
  (coverA4:posn(262 (- (noLight:y) 75))) 
  (coverA5:posn(337 (- (noLight:y) 75)))  
  
  (cover1:posn((+ (send gEgo:x) 75) (noLight:y)))
  (cover2:posn((+ (send gEgo:x) 150) (noLight:y))) 
  (cover3:posn((+ (send gEgo:x) 225) (noLight:y))) 
  (cover4:posn((+ (send gEgo:x) 300) (noLight:y)))
  (cover5:posn((- (send gEgo:x) 75) (noLight:y)))  
  (cover6:posn((- (send gEgo:x) 150) (noLight:y)))  
  (cover7:posn((- (send gEgo:x) 225) (noLight:y)))  
  (cover8:posn((- (send gEgo:x) 300) (noLight:y))) 
  
  (coverB1:posn(37 (+ (noLight:y) darkHeight)))  
  (coverB2:posn(112 (+ (noLight:y) darkHeight)))
  (coverB3:posn(187 (+ (noLight:y) darkHeight))) 
  (coverB4:posn(262 (+ (noLight:y) darkHeight)))
  (coverB5:posn(337 (+ (noLight:y) darkHeight)))         
  )// end method
)// end instance

//******************************************************
// Battling trigger
//******************************************************

(procedure public (battleMode)
(switch(lightLevel)
  	(case 0
  		  (if(== handicapLevel 1)  // attack chance at 85%
  		  	  (switch(Random(1 20))
  		  	  	(case 3 )// no attack...
  		  	  	(case 12 )// no attack...
  		  	  	(case 17 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 90%
  		  	  (switch(Random(1 10))
  		  	  	(case 3 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		    )
		    (else // attack chance at 80%
  		  	  (switch(Random(1 10))
  		  	  	(case 3 )// no attack...
  		  	  	(case 7 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		    )// end else
		  )// end else
	)// ends no flashlight attack logic
	(case 1
  		  (if(== handicapLevel 1)  // attack chance at 40%
  		  	  (switch(Random(1 5))
  		  	  	(case 2 )// no attack...
  		  	  	(case 4 )// no attack...
  		  	  	(case 5 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 45%
  		  	  (switch(Random(1 20))
  		  	  	(case 1  = doBattle TRUE)
  		  	  	(case 2  = doBattle TRUE)
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 6  = doBattle TRUE)
  		  	  	(case 10  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 14  = doBattle TRUE)
  		  	  	(case 15  = doBattle TRUE)
  		  	  	(case 19  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )
		    (else // attack chance at 35%
  		  	  (switch(Random(1 20))
  		  	  	(case 1  = doBattle TRUE)
  		  	  	(case 2  = doBattle TRUE)
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 6  = doBattle TRUE)
  		  	  	(case 10  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 14  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )// end else
		  )// end else
	)// ends flashlight attack logic
	(case 2
  		  (if(== handicapLevel 1)  // attack chance at 15%
  		  	  (switch(Random(1 20))
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 18  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 20%
  		  	  (switch(Random(1 10))
  		  	  	(case 3  = doBattle TRUE)
  		  	  	(case 7  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )
		    (else // attack chance at 10%
  		  	  (switch(Random(1 10))
  		  	  	(case 3  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )// end else
		  )// end else
	)// ends all lights attack logic
  )// ends light level switch
)

