//******************************************************************************
// rm001.sc                                                          Battle Room 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 7)
//*****************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
(use "sciAudio")
//******************************************************************************
(local
 doCursor = FALSE
 defended = FALSE
 itemsonhand[15]
 loopCount = 0
 i
 j
 losingItem = 0
 ghoulView = 400
 
 location = 0 // 0 left, 1 right, 2 below, 4 above.... 
 snd
)
//*****************************************************************************
(instance public rm001 of Rm
(properties picture scriptNumber)
  (method (init)
  (super:init())
  = goToRoom 0
  = snd aud

  = doBattle FALSE
   
  (self:setScript(RoomScript))
  //*********************************************************
  // Generate the different room props that would be visible.
  //*********************************************************
  (switch(nextRoom)         // The room we are entering...
  	(case 1  // only one way into room 1, so we don't need to check where we are coming from...
  		  = location 0 // from left...               
  		  (if(== lightLevel 0)(fakeEgo:init()posn(296 95)view(201)loop(lightLevel)cel(1))) // no props visible
		  (if(== lightLevel 1)(fakeEgo:init()posn(287 101)view(201)loop(lightLevel)cel(1)))// no props visible
		  (if(== lightLevel 2) DrawPic(1 dpOPEN_INSTANTLY)
		  	                (fakeEgo:init()posn(302 121)loop(1)view(1)cel(0))// ego
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                (send (Prop:new()):view(301)loop(4)cel(0)posn(39 127)addToPic())// frontDoor
			                (send (Prop:new()):view(301)loop(6)cel(0)posn(261 111)addToPic())// web1
			                (send (Prop:new()):view(301)loop(0)cel(2)posn(268 41)addToPic())// rip
			                (send (Prop:new()):view(301)loop(0)cel(1)posn(287 112)addToPic())// vase
			                (send (Prop:new()):view(301)loop(0)cel(0)posn(145 37)addToPic())// lionCandle1
			                (if(bedroomClosetOpen)(send (Prop:new()):view(301)loop(0)cel(4)posn(224 33)addToPic()))// lionCandle2
			                (else(send (Prop:new()):view(301)loop(0)cel(0)posn(227 37)addToPic()))// lionCandle2
			                (send (Prop:new()):view(301)loop(3)cel(1)posn(202 105)addToPic())// closetDoor
			                (send (Prop:new()):view(301)loop(5)cel(2)posn(182 64)addToPic())// fusebox
			                (send (Prop:new()):view(301)loop(2)cel(0)posn(122 110)addToPic())// clock base
			                (send (Prop:new()):view(301)loop(2)cel(2)posn(122 53)addToPic())// clock face
			                (send (Prop:new()):view(301)loop(1)cel(0)posn(121 96)init()cycleSpeed(5)setCycle(Fwd))// clock face
	      // lost items visible...
	      //*********************************************************************************************
	                        (if(== item2Room 1)(send (Prop:new()):view(301)loop(2)cel(3)posn(122 48)setPri(4)addToPic()))
	                        (if(== item3Room 5)(send (Prop:new()):view(950)loop(4)cel(3)posn(302 117)addToPic()))
	                        (if(== item4Room 5)(send (Prop:new()):view(950)loop(4)cel(4)posn(183 109)addToPic()))
	                        (if((== item7Room 5) or (== item7Room 6))(send (Prop:new()):view(950)loop(3)cel(4)posn(278 112)addToPic()))
		  )// ends if lightLevel 2
	)// ends entering room 1
	(case 2 // must be coming from room 1 or 3
        (if(==gPreviousRoomNumber 1) = location 1)// from right
        (if(==gPreviousRoomNumber 3) = location 0)// from left
		
		(if(== lightLevel 0)
			(if(== gPreviousRoomNumber 1)(fakeEgo:init()posn(24 82)view(202)loop(lightLevel)cel(0)))// no props visible
			(if(== gPreviousRoomNumber 3)(fakeEgo:init()posn(296 84)view(202)loop(lightLevel)cel(1)))
		)
		(if(== lightLevel 1)
			(if(== gPreviousRoomNumber 1)(fakeEgo:init()posn(32 95)view(202)loop(lightLevel)cel(0)))// no props visible
			(if(== gPreviousRoomNumber 3)(fakeEgo:init()posn(287 98)view(202)loop(lightLevel)cel(1)))
		)
		(if(== lightLevel 2) DrawPic(2 dpOPEN_INSTANTLY)
			(if(== gPreviousRoomNumber 1)(fakeEgo:init()posn(18 115)loop(0)view(1)cel(0)))// ego 
			(if(== gPreviousRoomNumber 3)(fakeEgo:init()posn(302 121)loop(1)view(1)cel(0)))
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                (send (Prop:new()):view(302)loop(1)cel(1)posn(259 59)addToPic())// handprints
			                (send (Prop:new()):view(302)loop(0)cel(0)posn(161 61)addToPic())// painting
			                (send (Prop:new()):view(302)loop(0)cel(3)posn(160 101)addToPic()setPri(12))// candle
		                    (if(not(gotTurkey))(send (Prop:new()):view(302)loop(0)cel(1)posn(98 106)addToPic()setPri(12)))// turkey
		                    (if(not(gotHam))(send (Prop:new()):view(302)loop(0)cel(2)posn(218 106)addToPic()setPri(12)))// ham

	      // lost items visible...
                            (if((== item2Room 2) or (== item2Room 3))(send (Prop:new()):view(950)loop(3)cel(2)posn(178 96)setPri(10)addToPic())) 
                            (if((== item3Room 2) or (== item3Room 3))(send (Prop:new()):view(302)loop(0)cel(2)posn(218 106)setPri(10)addToPic())) 
                            (if((== item4Room 2) or (== item4Room 3))(send (Prop:new()):view(302)loop(0)cel(1)posn(98 106)setPri(10)addToPic())) 
                            (if((== item5Room 2) or (== item5Room 3))(send (Prop:new()):view(950)loop(3)cel(14)posn(274 100)setPri(10)addToPic())) 
                            (if((== item6Room 2) or (== item6Room 3))(send (Prop:new()):view(950)loop(3)cel(15)posn(37 104)setPri(10)addToPic())) 
                            (if((== item7Room 2) or (== item7Room 3))(send (Prop:new()):view(950)loop(5)cel(7)posn(61 112)setPri(10)addToPic())) 
                            (if((== item9Room 2) or (== item9Room 3))(send (Prop:new()):view(950)loop(3)cel(9)posn(175 106)setPri(10)addToPic()))
                            (if((== item11Room 2) or (== item11Room 3))(send (Prop:new()):view(306)loop(0)cel(3)posn(140 105)setPri(10)addToPic())) 
                            (if((== item12Room 2) or (== item12Room 3))(send (Prop:new()):view(950)loop(3)cel(12)posn(282 97)setPri(10)addToPic()))
	      
		  )// ends if lightLevel 2
	)// ends entering room 2
	(case 3 // must be coming from room 2 or 5
        (if(==gPreviousRoomNumber 2) = location 1)// from right
        (if(==gPreviousRoomNumber 5) = location 0)// from left
        
		(if(== lightLevel 0)
			(if(== gPreviousRoomNumber 2)(fakeEgo:init()posn(24 89)view(203)loop(lightLevel)cel(0)))// no props visible
			(if(== gPreviousRoomNumber 5)(fakeEgo:init()posn(297 90)view(203)loop(lightLevel)cel(1)))
		)
		(if(== lightLevel 1)
			(if(== gPreviousRoomNumber 2)(fakeEgo:init()posn(31 100)view(203)loop(lightLevel)cel(0)))// no props visible
			(if(== gPreviousRoomNumber 5)(fakeEgo:init()posn(290 101)view(203)loop(lightLevel)cel(1)))
		)
		(if(== lightLevel 2) DrawPic(3 dpOPEN_INSTANTLY)
			(if(== gPreviousRoomNumber 2)(fakeEgo:init()posn(15 120)loop(0)view(1)cel(0)))// ego 
			(if(== gPreviousRoomNumber 5)(fakeEgo:init()posn(305 120)loop(1)view(1)cel(0)))
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                (send (Prop:new()):view(303)loop(0)cel(1)posn(45 131)addToPic())// tree1
			                (send (Prop:new()):view(303)loop(0)cel(2)posn(275 131)addToPic())// tree2
			                (send (Prop:new()):view(303)loop(0)cel(0)posn(165 131)addToPic())// tree3
			                (send (Prop:new()):view(303)loop(0)cel(4)posn(194 91)addToPic())// tear
			                (send (Prop:new()):view(303)loop(0)cel(3)posn(27 23)addToPic())// light1
			                (send (Prop:new()):view(303)loop(0)cel(3)posn(86 23)addToPic())// light2
			                (send (Prop:new()):view(303)loop(0)cel(3)posn(159 23)addToPic())// light3
			                (send (Prop:new()):view(303)loop(0)cel(3)posn(231 23)addToPic())// light4
			                (send (Prop:new()):view(303)loop(0)cel(3)posn(292 23)addToPic())// light5
			                (send (Prop:new()):view(303)loop(1)cel(0)posn(27 64)addToPic())// portrait1
			                (send (Prop:new()):view(303)loop(1)cel(1)posn(86 64)addToPic())// portrait2
			                (send (Prop:new()):view(303)loop(1)cel(2)posn(159 64)addToPic())// portrait3
			                (send (Prop:new()):view(303)loop(2)cel(1)posn(231 64)addToPic())// portrait4
			                (send (Prop:new()):view(303)loop(1)cel(4)posn(292 64)addToPic())// portrait5 
	      // lost items visible...
	                        // the only lost item that lands here is fuses. if everything is lit, they aren't lost...	      
		  )// ends if lightLevel 2
	)// ends entering room 3
	(case 4  // only one way into room 4, so we don't need to check where we are coming from...   
		  = location 3          
  		  (if(== lightLevel 0)(fakeEgo:init()posn(280 55)view(204)loop(lightLevel)cel(0))) // no props visible
		  (if(== lightLevel 1)(fakeEgo:init()posn(277 67)view(204)loop(lightLevel)cel(0)))// no props visible
		  (if(== lightLevel 2) DrawPic(4 dpOPEN_INSTANTLY)
		  	                (fakeEgo:init()posn(279 88)loop(2)view(1)cel(0))// ego
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                 (if(not(gotWire))(send (Prop:new()):view(304)loop(0)cel(0)posn(237 108)addToPic()))// wire
			                (send (Prop:new()):view(304)loop(0)cel(2)posn(237 108)setPri(0)addToPic())// crack2
			                (send (Prop:new()):view(304)loop(0)cel(6)posn(33 106)setPri(0)addToPic())// crack1
			                (send (Prop:new()):view(304)loop(0)cel(1)posn(57 81)setPri(1)addToPic())// wanted
			                (send (Prop:new()):view(304)loop(0)cel(7)posn(133 114)setPri(0)addToPic())// shelves
	      // lost items visible...
	                        (if(== item1Room 4)(send (Prop:new()):view(950)loop(3)cel(1)posn(115 74)addToPic()))
                            (if(== item2Room 4)(send (Prop:new()):view(950)loop(3)cel(1)posn(115 74)addToPic())) 
                            (if((== item3Room 1) or (== item3Room 4))(send (Prop:new()):view(950)loop(3)cel(3)posn(124 27)addToPic())) 
                            (if((== item4Room 1) or (== item4Room 4))(send (Prop:new()):view(950)loop(3)cel(4)posn(141 75)addToPic())) 
                            (if((== item5Room 1) or (== item5Room 4))(send (Prop:new()):view(950)loop(3)cel(5)posn(121 42)addToPic())) 
                            (if((== item6Room 1) or (== item6Room 4))(send (Prop:new()):view(950)loop(3)cel(6)posn(147 26)addToPic())) 
                            (if((== item7Room 1) or (== item7Room 4))(send (Prop:new()):view(950)loop(3)cel(7)posn(151 94)addToPic())) 
                            (if((== item9Room 1) or (== item9Room 4))(send (Prop:new()):view(950)loop(3)cel(8)posn(133 90)addToPic()))
                            (if((== item11Room 1) or (== item11Room 4))(send (Prop:new()):view(950)loop(3)cel(11)posn(119 90)addToPic())) 
                            (if((== item12Room 1) or (== item12Room 4))(send (Prop:new()):view(304)loop(0)cel(4)posn(135 107)addToPic())) 
                            (if((== item13Room 1) or (== item13Room 4))(send (Prop:new()):view(950)loop(3)cel(13)posn(131 59)addToPic()))
		  )// ends if lightLevel 2
	)// ends entering room 4
	(case 5 // must be coming from room 3 or 4 or 6
		    (if(== gPreviousRoomNumber 3) = location 1)// from right
		    (if(== gPreviousRoomNumber 4) = location 0)// from left
		    (if(== gPreviousRoomNumber 6) = location 4) // either...
		       
		
		(if(== lightLevel 0)
			(if(== gPreviousRoomNumber 3)
				     (if(microwaveOpen)(fakeEgo:init()posn(23 88)view(205)loop(lightLevel)cel(3)))
				     (else(fakeEgo:init()posn(23 88)view(205)loop(lightLevel)cel(0)))          
			)
			(if(== gPreviousRoomNumber 4)(fakeEgo:init()posn(286 89)view(205)loop(lightLevel)cel(1)))
			(if(== gPreviousRoomNumber 6)(fakeEgo:init()posn(177 84)view(205)loop(lightLevel)cel(2)))
		)
		(if(== lightLevel 1)
			(if(== gPreviousRoomNumber 3)(fakeEgo:init()posn(30 101)view(205)loop(lightLevel)cel(0)))// no props visible
			(if(== gPreviousRoomNumber 4)(if(fridgeOpen)(fakeEgo:init()posn(278 102)view(205)loop(lightLevel)cel(3)))
		  	                             (else(fakeEgo:init()posn(280 105)view(205)loop(lightLevel)cel(1)))
			)
			(if(== gPreviousRoomNumber 6)(fakeEgo:init()posn(175 97)view(205)loop(lightLevel)cel(2)))
		)
		(if(== lightLevel 2) DrawPic(5 dpOPEN_INSTANTLY)
			(if(== gPreviousRoomNumber 3)(fakeEgo:init()posn(15 121)loop(0)view(1)cel(0)))// ego 
			(if(== gPreviousRoomNumber 4)(fakeEgo:init()posn(286 121)loop(1)view(1)cel(0)))
			(if(== gPreviousRoomNumber 6)(fakeEgo:init()posn(175 117)loop(2)view(1)cel(0)))
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                (send (Prop:new()):view(305)loop(0)cel(0)posn(116 48)addToPic()) // wallSplatter 
			                (send (Prop:new()):view(305)loop(0)cel(3)posn(239 120)addToPic()) // floorSplatter
			                (send (Prop:new()):view(305)loop(0)cel(2)posn(115 78)addToPic()) // knives
			                (if(fridgeOpen)
			                 (send (Prop:new()):view(305)loop(3)posn(259 103)cel(1)addToPic()) // fridge door	
			                 (if(not(gotLettuce))(send (Prop:new()):view(305)loop(4)posn(237 74)cel(2)setPri(2)addToPic())) // lettuce	
			                 (if(not(gotKetchup))(send (Prop:new()):view(305)loop(4)posn(229 90)cel(1)setPri(2)addToPic())) // ketchup
			                )
			                (else(send (Prop:new()):view(305)loop(3)cel(0)posn(240 103)setPri(3)addToPic())) // fridge door		  	
			                (if(microwaveOpen)(send (Prop:new()):view(305)loop(0)cel(4)posn(48 67)addToPic()))// microwave
			                (else (send (Prop:new()):view(305)loop(0)cel(1)posn(48 67)addToPic()))// microwave		  	
			                (send (Prop:new()):view(305)loop(1)cel(1)posn(190 113)addToPic())// bedroom door	  	
			                (send (Prop:new()):view(305)loop(2)cel(1)posn(339 87)addToPic())// basement door
	      // lost items visible...
		  //*********************************************************************************************
	                        (if(== item2Room 5)(send (Prop:new()):view(950)loop(3)cel(2)posn(136 79)addToPic()))
	                        (if((== item5Room 5) or (== item5Room 6))(send (Prop:new()):view(305)loop(4)cel(1)posn(229 90)setPri(2)addToPic()))
	                        (if((== item6Room 5) or (== item6Room 6))(send (Prop:new()):view(305)loop(4)cel(2)posn(237 74)setPri(2)addToPic()))
	                        (if((== item9Room 5) or (== item9Room 6))(send (Prop:new()):view(950)loop(3)cel(9)posn(238 99)setPri(2)addToPic()))
	                        (if(== item12Room 5)(send (Prop:new()):view(950)loop(3)cel(12)posn(252 58)setPri(2)addToPic()))
		  
			
			
		)// ends if lightLevel 2
	)// ends entering room 5
	(case 6  // only one way into room 6, so we don't need to check where we are coming from... 
		  = location 6            
  		  (if(== lightLevel 0)
  		  	                  (if(not(gotPerfume))(fakeEgo:init()posn(79 99)view(206)loop(lightLevel)cel(0))) // no props visible
		  	                  (else(fakeEgo:init()posn(79 99)view(206)loop(lightLevel)cel(1))) 	                  
		  )
		  (if(== lightLevel 1)
		  	                  (if(not(gotPerfume))(fakeEgo:init()posn(78 112)view(206)loop(lightLevel)cel(0)))// no props visible
		  	                  (else(fakeEgo:init()posn(78 112)view(206)loop(lightLevel)cel(1)))
		  )
		  (if(== lightLevel 2) DrawPic(6 dpOPEN_INSTANTLY)
		  	                (fakeEgo:init()posn(78 131)loop(3)view(1)cel(0))// ego
			                //************************************************************
			                // all props visible...
			                //************************************************************
			                (send (Prop:new()):view(306)loop(0)cel(0)posn(294 129)setPri(3)addToPic())// nightStand
			                (send (Prop:new()):view(306)loop(0)cel(1)posn(147 38)setPri(3)addToPic())// light
			                (send (Prop:new()):view(306)loop(0)cel(2)posn(293 108)setPri(4)addToPic())// phone
			                (send (Prop:new()):view(306)loop(0)cel(4)posn(22 129)setPri(12)addToPic())// plant
			                (send (Prop:new()):view(306)loop(0)cel(6)posn(260 102)addToPic())// pillow
			                (send (Prop:new()):view(306)loop(1)cel(0)posn(21 122)setPri(4)addToPic())// closet door
			                (send (Prop:new()):view(0)loop(3)cel(0)posn(78 116)setPri(0)addToPic())// mirror ego
			                (if(not(gotPerfume))(send (Prop:new()):view(306)loop(0)cel(3)posn(66 84)addToPic()))// perfume			               
	      // lost items visible...
	      //*********************************************************************************************
	                        (if(== item1Room 6)(send (Prop:new()):view(950)loop(3)cel(2)posn(122 84)addToPic()))
	                        (if(== item2Room 6)(send (Prop:new()):view(950)loop(3)cel(2)posn(122 84)addToPic()))
	                        (if(== item3Room 6)(send (Prop:new()):view(950)loop(3)cel(3)posn(101 117)addToPic()))
	                        (if(== item4Room 6)(send (Prop:new()):view(950)loop(3)cel(4)posn(189 99)addToPic()))
	                        (if((== item11Room 6)  or (== item11Room 5))(send (Prop:new()):view(306)loop(0)cel(3)posn(66 84)addToPic()))
	                        (if(== item12Room 6)(send (Prop:new()):view(950)loop(3)cel(12)posn(109 84)addToPic()))
	      
	      
	      
		  )// ends if lightLevel 2
	)// ends entering room 4
 )// end switch


  //**************************
  // Ghoul
  //**************************
  (if(== lightLevel 2) = ghoulView 401)// show legs if lights are on...
  
  (switch(location)
  	(case 0 (ghoul:posn(-30 115)setCycle(Walk)ignoreControl(ctlWHITE)init()view(ghoulView)setScript(ghoulScript)xStep(10)))//setMotion(MoveTo 50 115)))// from left
  	(case 1 (ghoul:posn(350 115)setCycle(Walk)ignoreControl(ctlWHITE)init()view(ghoulView)setScript(ghoulScript)xStep(10)))//setMotion(MoveTo 270 115)))// from right
  	(case 3 (ghoul:posn(-10 115)setCycle(Walk)ignoreControl(ctlWHITE)init()view(ghoulView)setScript(ghoulScript)xStep(10)yStep(7)))//setMotion(MoveTo 50 115)))// ego entering room 4 only...
  	(case 4 (ghoul:posn(-10 120)setCycle(Walk)ignoreControl(ctlWHITE)init()view(ghoulView)setScript(ghoulScript)xStep(10)))//setMotion(MoveTo 50 115)))// ego entering room 5 from 6 only... 
  	(case 6 (ghoul:posn(350 128)setCycle(Walk)ignoreControl(ctlWHITE)init()view(ghoulView)setScript(ghoulScript)xStep(10)))//setMotion(MoveTo 270 115)))// ego entering room 6 only...
  )

  //******************************************** 
  // Handle the Menu Icons...
  //********************************************
  (walkIcon:setPri(15)addToPic())
  (talkIcon:setPri(15)addToPic())
  (lookIcon:setPri(15)addToPic())
  (handIcon:setPri(15)addToPic())
  
  (healthBackDrop:setPri(14)addToPic())
  (healthBar:setPri(15)init()cel(egoHealth))
  
  //******************************************** 
  // Handle the Inventory...
  //********************************************
  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position
  
    (for (= j 1) (<= j totalItems) (++j)
     (switch(j)
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
       (case 11 = thisItem inventory11)
       (case 12 = thisItem inventory12)
       (case 13 = thisItem inventory13)
       (case 14 = thisItem inventory14)
	 )// end switch
	 (if(send gEgo:has(j))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop
 )
)
//*****************************************************************************
(instance fakeEgo of Prop(properties x 0 y 0 view 0 loop 0 cel 0))
(instance ghoul of Act(properties x 268 y 125 view 400 loop 0 cel 0))
(instance wordBubble of Prop(properties x 0 y 0 view 307 loop 0 cel 0))
(instance screamBubble of Prop(properties x 0 y 0 view 307 loop 3 cel 2))
//******************************************************************************
// Health Bar
//******************************************************************************
(instance healthBackDrop of Prop(properties x 67 y 182 view 10 loop 0 cel 0))
(instance healthBar of Prop(properties x 77 y 175 view 10 loop 1 cel 0))
//******************************************************************************
// Menu Icons
//******************************************************************************
(instance walkIcon of Prop(properties x 21 y 160 view 950 loop 1 cel 0))
(instance talkIcon of Prop(properties x 51 y 160 view 950 loop 1 cel 1))
(instance lookIcon of Prop(properties x 81 y 160 view 950 loop 1 cel 2))
(instance handIcon of Prop(properties x 112 y 160 view 950 loop 1 cel 3))
//******************************************************************************
// Inventory
//******************************************************************************
(instance inventory1 of Prop(properties x 400 y 400 view 950 loop 2 cel 1))
(instance inventory2 of Prop(properties x 400 y 400 view 950 loop 2 cel 2))
(instance inventory3 of Prop(properties x 400 y 400 view 950 loop 2 cel 3))
(instance inventory4 of Prop(properties x 400 y 400 view 950 loop 2 cel 4))
(instance inventory5 of Prop(properties x 400 y 400 view 950 loop 2 cel 5))
(instance inventory6 of Prop(properties x 400 y 400 view 950 loop 2 cel 6))
(instance inventory7 of Prop(properties x 400 y 400 view 950 loop 2 cel 7))
(instance inventory8 of Prop(properties x 400 y 400 view 950 loop 2 cel 8))
(instance inventory9 of Prop(properties x 400 y 400 view 950 loop 2 cel 9))
(instance inventory10 of Prop(properties x 400 y 400 view 950 loop 2 cel 10))
(instance inventory11 of Prop(properties x 400 y 400 view 950 loop 2 cel 11))
(instance inventory12 of Prop(properties x 400 y 400 view 950 loop 2 cel 12))
(instance inventory13 of Prop(properties x 400 y 400 view 950 loop 2 cel 13))
(instance inventory14 of Prop(properties x 400 y 400 view 950 loop 2 cel 14))
//******************************************************************************
(instance screamBubbleScript of Script
(properties)
  (method (changeState newState)
  (= state newState)
    (switch (newState)
			(case 0 = cycles 7)
			(case 1 (screamBubble:hide()))
	)
 )
)
(instance RoomScript of Script
(properties)
  (method (doit)
  (super:doit()) 
   //******************************************** 
   // Hide the regular cursor...
   //********************************************
   (if(not(doCursor))
    SetCursor(0 HaveMouse())
    = doCursor TRUE
   )    
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC scriptNumber)
    UnLoad(rsSCRIPT scriptNumber)
    UnLoad(rsTEXT scriptNumber)
    UnLoad(rsSCRIPT 950) // pnc script    
    UnLoad(rsTEXT 950)   // pnc text
    UnLoad(rsVIEW 950)   // pnc views
    UnLoad(rsVIEW 10) // health bar 
    UnLoad(rsVIEW 0) // fake ego 
    UnLoad(rsVIEW 301) 
    UnLoad(rsVIEW 302)
    UnLoad(rsVIEW 303) 
    UnLoad(rsVIEW 304) 
    
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0
  )// end doit method

  (method (changeState newState)
  (= state newState)
    (switch (newState)
			(case 0  //= cycles 50
			   (send snd:
                 command("playx")
                 //soundClass("narration")
                 //conductorFile("speech\\narrate.con")
                 fileName("music\\undead.sciAudio")
                 playXFadeOutMillisecs("1000") // will fade currently playing "narration" sound class sounds
                 volume("100")
                 init()
                )
               /* 	
               (send snd:
                command("stop")
                fileName("music\\doom.sciAudio")
                fadeOutMillisecs("1000")
                loopCount("0")
                init()
               )
				(send snd:
                     command("play")
                     fileName("music\\undead.sciAudio")
                     volume("100")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("0000")
                     loopCount("0")  // loop forever
                     init()
                 )
                 */
		    )// end case 0
    )// end switch
  )// end method
)// end instance
/******************************************************************************/

(instance aud of sciAudio(properties)(method (init)(super:init())))
//********************************************
(instance ghoulScript of Script
(properties)
  (method (changeState newState)
  = state newState
    (switch(state)
      (case 0 ProgramControl()
      	      (switch(location)
  	            (case 0 (ghoul:setMotion(MoveTo 50 115 ghoulScript)))// ego on right, ghoul from left
  	            (case 1 (ghoul:setMotion(MoveTo 270 115 ghoulScript)))// ego on left, ghoul from right
  	            (case 3 (ghoul:setMotion(MoveTo 50 115 ghoulScript)))// ego entering room 4, on right, ghoul from left
  	            (case 4 (ghoul:setMotion(MoveTo 50 120 ghoulScript)))// ego entering room 5 from 6, in center, ghoul from left 
  	            (case 6 (ghoul:setMotion(MoveTo 270 128 ghoulScript)))// ego entering room 6, centerish, ghoul from right
              )
      )// end case
      (case 1 
			 (if(== numberOfAttacks 0)Print("A cold chill runs down your spine as you realize you are not alone." #time 10))
		     (if(== numberOfAttacks 1)Print("Uh oh, here we go again." #time 8))
		     ++numberOfAttacks
		     = cycles 20
	 )// end case
	 (case 2 
      	      (switch(location)
  	            (case 0 (ghoul:setMotion(MoveTo 160 115 ghoulScript)))// ego on right, ghoul from left
  	            (case 1 (ghoul:setMotion(MoveTo 160 115 ghoulScript)))// ego on left, ghoul from right
  	            (case 3 (ghoul:setMotion(MoveTo 283 115 ghoulScript)))// ego entering room 4, on right, ghoul from left
  	            (case 4 (ghoul:setMotion(MoveTo 84 120 ghoulScript)))// ego entering room 5 from 6, in center, ghoul from left 
  	            (case 6 (ghoul:setMotion(MoveTo 194 128 ghoulScript)))// ego entering room 6, centerish, ghoul from right
              )
	 )// end case
	 (case 3
	            SetCursor(994 HaveMouse())
                (if(Print("Oh crap! It's coming right at you!!\nAttempt a defense?" #button "Yes" 1 #button " No " 0))
			        // answered yes
			        (if(== numberOfAttacks 1)Print("You give your loudest girlish shriek. Even though that's not how you intended it to come out." #time 10))	
					(if(== numberOfAttacks 2)Print("Apparently, shrieking is your only defense as you do it again." #time 8))

					(switch(lightLevel)
					  (case 0
					  	(switch(Random(1 10))
					  		(case 5 = defended TRUE)
					  		(default = defended FALSE)
						)
					  )
					  (case 1
					  	(switch(Random(1 10))
					  		(case 5 = defended FALSE)
					  		(default = defended TRUE)
						)
					  )
					  (case 2 = defended TRUE)				
					)
					= cycles 1
				)
				(else
				    // answered no
				     Print("You close your eyes and hope everything works out for the best." #time 8)
				     = defended FALSE
				     (ghoulScript:changeState(5))	
				)
	 )// end case
	 (case 4 
	 	     SetCursor(0 HaveMouse())
	 	     
	 	     // play woman screaming sound
	 	     //(screamBubble:posn(239 128)show()cel(2))
	 	           (switch(location)
  	                 (case 0 (screamBubble:init()posn(240 51)setPri(15)cel(1)setScript(screamBubbleScript)))// ego on right, ghoul from left
  	                 (case 1 (screamBubble:init()posn(78 51)setPri(15)cel(0)setScript(screamBubbleScript)))// ego on left, ghoul from right
  	                 (case 3 (screamBubble:init()posn(225 70)setPri(15)cel(2)setScript(screamBubbleScript)))// ego entering room 4, on right, ghoul from left
  	                 (case 4 (screamBubble:init()posn(114 63)setPri(15)cel(1)setScript(screamBubbleScript)))// ego entering room 5 from 6, in center, ghoul from left 
  	                 (case 6 (screamBubble:init()posn(146 70)setPri(15)cel(0)setScript(screamBubbleScript)))// ego entering room 6, centerish, ghoul from right
					)
	 	     
					(send snd:
                     command("play")
                     fileName("effects\\scream1.sciAudio")
                     volume("75")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("0000")
                     loopCount("0")  // loop forever
                     init()
                    )
             = cycles 1
	 )// end case
	 (case 5
	 	     (if(defended) // ghoul runs away
				(switch(location)
  	             (case 0 (ghoul:setMotion(MoveTo -30 115)))// ego on right, ghoul from left
  	             (case 1 (ghoul:setMotion(MoveTo 350 115)))// ego on left, ghoul from right
  	             (case 3 (ghoul:setMotion(MoveTo -30 115)))// ego entering room 4, on right, ghoul from left
  	             (case 4 (ghoul:setMotion(MoveTo -30 120)))// ego entering room 5 from 6, in center, ghoul from left 
  	             (case 6 (ghoul:setMotion(MoveTo 350 128)))// ego entering room 6, centerish, ghoul from right
                )
             = cycles 10
			 )
			 (else // ghoul continues attack
				(switch(location)
  	             (case 0 (ghoul:setMotion(MoveTo 290 115 ghoulScript)))// ego on right, ghoul from left
  	             (case 1 (ghoul:setMotion(MoveTo 20 115 ghoulScript)))// ego on left, ghoul from right
  	             (case 3 (ghoul:loop(1)setMotion(MoveTo 279 80 ghoulScript)))// ego entering room 4, on right, ghoul from left
  	             (case 4 (ghoul:setMotion(MoveTo 174 120 ghoulScript)))// ego entering room 5 from 6, in center, ghoul from left 
  	             (case 6 (ghoul:setMotion(MoveTo 83 128 ghoulScript)))// ego entering room 6, centerish, ghoul from right
                )	
			 )
	 )// end case
	 (case 6
	 	    (if(not(defended))
			   (send snd:
                     command("play")
                     fileName("effects\\punch.sciAudio")
                     volume("50")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("0000")
                     loopCount("0")  // loop forever
                     init()
               )
			   ShakeScreen(2 ssFULL_SHAKE)
			)
	 	    = cycles 1
	 )// end case
	 (case 7
	 	(if(not(defended))
				    (ghoul:hide())	
				    --egoHealth
				    (healthBar:cel(egoHealth))
				    // Don't forget about losing an item if failed...
				    //***********************************************  
				    (if(Random(0 1))// 50% chance of losing an item
				          (for (= i 1) (<= i totalItems) (++i)
				            (if(send gEgo:has(i))
				      	    ++loopCount
				      	    = itemsonhand[loopCount] i
					        ) 
					      )
					      //FormatPrint("Carrying %d Items" loopCount)
					      (if(> loopCount 0) 
					      = losingItem Random(1 loopCount) 
					      //FormatPrint("Losing Item: %d" itemsonhand[losingItem])
					      (send gEgo:put(itemsonhand[losingItem]))
					      // cursor stuff
					      (if(== losingItem itemIcon)
					      	= itemIcon 900
						  )
					      (if(== gCurrentCursor losingItem)
					      	= gCurrentCursor 999
						  )
					      
					        // screw it make a switch, there arent that many items...
					        (switch(itemsonhand[losingItem])
					         (case 1 (inventory1:cel(0)) //
					         	     = item1Room Random(1 6)
							 )
					         (case 2 (inventory2:cel(0)) //
					         	     = item2Room Random(1 6)
					         	     (if(== lightLevel 1)
					         	     = lightLevel 0
					         	     (fakeEgo:loop(0)posn((fakeEgo:x) (- (fakeEgo:y) 13)))
									 )
							 )
					         (case 3 (inventory3:cel(0)) = item3Room Random(1 6)) //
					         (case 4 (inventory4:cel(0)) = item4Room Random(1 6)) //
					         (case 5 (inventory5:cel(0)) = item5Room Random(1 6)) //
					         (case 6 (inventory6:cel(0)) = item6Room Random(1 6)) //
					         (case 7 (inventory7:cel(0)) = item7Room Random(1 6)) //
					         (case 8 (inventory8:cel(0)) = item8Room Random(1 6)) //
					         (case 9 (inventory9:cel(0)) = item9Room Random(1 6)) //
					         (case 10 (inventory10:cel(0)) = item10Room Random(1 6)) //
					         (case 11 (inventory11:cel(0)) = item11Room Random(1 6)) //
					         (case 12 (inventory12:cel(0)) = item12Room Random(1 6)) //
					         (case 13 (inventory13:cel(0)) = item13Room Random(1 6)) //
							)
							
						//  Print("Following the attack, you feel a little lighter." #time 10)
						  )// ends loop count greater than 1
					)
				    //***********************************************
					)
				//	(else Print("Ha, you scared the bastard away! Way to go Bernard!" #time 10))
		= cycles 1
	 )// end case
	 (case 8
	 	(if(not(defended))
			  	(if(> egoHealth 0)
			  		(switch(location)
  	                 (case 0 (wordBubble:init()posn(240 51)setPri(15)cel(1)))// ego on right, ghoul from left
  	                 (case 1 (wordBubble:init()posn(78 51)setPri(15)cel(0)))// ego on left, ghoul from right
  	                 (case 3 (wordBubble:init()posn(225 70)setPri(15)cel(2)))// ego entering room 4, on right, ghoul from left
  	                 (case 4 (wordBubble:init()posn(114 63)setPri(15)cel(1)))// ego entering room 5 from 6, in center, ghoul from left 
  	                 (case 6 (wordBubble:init()posn(146 70)setPri(15)cel(0)))// ego entering room 6, centerish, ghoul from right
					)
				)
				(else
				 = deathBy 3
				 Print("With that you collapse to the floor as everything fades." #time 10)
				 = goToRoom 8
				)
		)
	    (else
			  		(switch(location)
  	                 (case 0 (wordBubble:init()posn(240 51)setPri(15)loop(2)cel(1)))// ego on right, ghoul from left
  	                 (case 1 (wordBubble:init()posn(78 51)setPri(15)loop(2)cel(0)))// ego on left, ghoul from right
  	                 (case 3 (wordBubble:init()posn(225 70)setPri(15)loop(2)cel(2)))// ego entering room 4, on right, ghoul from left
  	                 (case 4 (wordBubble:init()posn(114 63)setPri(15)loop(2)cel(1)))// ego entering room 5 from 6, in center, ghoul from left 
  	                 (case 6 (wordBubble:init()posn(146 70)setPri(15)loop(2)cel(0)))// ego entering room 6, centerish, ghoul from right
					)
		)
	    = cycles 20	
	 )//end case
	 (case 9
	 	(if(not(== losingItem 0))(wordBubble:loop(1))    
			       = cycles 20	
			  )
			  (else
			  	   (wordBubble:hide())
			       = cycles 1
			  )	
	 )// end case
	 (case 10
	 	      = goToRoom nextRoom
	 )// end case		    
	)// end switch
 )// end method
)// end instance