/******************************************************************************/
(include "sci.sh")(include "game.sh")                (script 20)
/******************************************************************************/ 
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
(use "sciAudio") 
/******************************************************************************/
(local
 doCursor = FALSE
	snd
)
(instance public rm020 of Rm
	(properties picture 802)
	(method (init)
		(super:init())
  = snd aud
		(self:setScript(RoomScript))

  
               (send snd:
                 command("playx")
                 //soundClass("narration")
                 //conductorFile("speech\\narrate.con")
                 fileName("music\\doom.sciAudio")
                 playXFadeOutMillisecs("1000") // will fade currently playing "narration" sound class sounds
                 volume("100")
                 init()
                )
     (manic:init()setLoop(0)setPri(0)ignoreActors())          
     //(credit:init()setLoop(0)setPri(0)ignoreActors())
	)// end method
)// end instance
/******************************************************************************/
(instance RoomScript of Script
	(properties)

	(method (doit)
		(super:doit()) 
   //******************************************** 
   // Hide the regular cursor...
   //********************************************
   (if(not(doCursor))
    SetCursor(0 HaveMouse())
    = doCursor TRUE
   )    
	)

	(method (handleEvent pEvent)
		(super:handleEvent(pEvent))
		// handle Said's, etc...
	)

	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0  
	 	     SetCursor(0 HaveMouse())
	 	     = cycles 10)
			(case 1 = cycles 25)
			(case 2 (manic:xStep(6)setMotion(MoveTo -100 92 RoomScript))) 
			(case 3 (credit:init()) // designed by
		            = cycles 75)
		    (case 4 (credit:cel(3)posn(164 103)) // game system by
		    	    = cycles 75) 
		    (case 5 (credit:cel(4)posn(169 103)) // mp3 system by
		    	    = cycles 75)  
		    (case 6 (credit:cel(6)posn(167 101)) // installer by
		    	    = cycles 75)   
		    (case 7 (credit:cel(5)posn(167 101)) // art inspired by
		    	    = cycles 75) 
		    (case 8 
	            SetCursor(994 HaveMouse())
	            (credit:loop(1)cel(2)posn(160 87))) // the end 
		)
	)
)
/******************************************************************************/

(instance moon of Act(properties x 112 y 92 view 802 loop 0 cel 0))
(instance manic of Act(properties x 112 y 92 view 802 loop 0 cel 0))
(instance credit of Prop(properties x 160 y 96 view 802 loop 0 cel 2))

(instance aud of sciAudio(properties)(method (init)(super:init())))
