/******************************************************************************
 initrooms.sc
 Contains a room which initializes the rooms and calls the first room.
 ******************************************************************************/
(include "sci.sh")(include "game.sh")                  (script INITROOMS_SCRIPT)
/******************************************************************************/
(use "main")(use "controls")(use "game")(use "obj")(use "menubar")(use "cycle")
/******************************************************************************/
(instance public InitRooms of Rm
	(properties
		script 0
		number 0
		timer 0
		keep 0
		initialized 0
		picture 0
		style 6
		horizon 0
		controls 0
		north 0
		east 0
		south 0
		west 0
		curPic 0
		picAngle 0
		vanishingX 160
		vanishingY 35536
	)
	(method (init)
		ProgramControl()
		= gProgramControl FALSE
			
		      (SL:disable())
		      (TheMenuBar:hide())
	      	    
		(super:init())

		(send gEgo:
			view(0)
			posn(-1 -1)
			setStep(1 1)
			setMotion(MoveTo 3000 100)
			setCycle(Walk)
			init()
		)              
		(send gGame:setSpeed(0))
	)
	(method (doit)
  		(super:doit())  
		(send gGame:setSpeed(6))

		= gTimeSeconds	0
		= gTimeMinutes	0
		= gTimeHours	0
		= gEgoView		0


	(if(== gPreviousRoomNumber 800)
		(send gRoom:newRoom(801))
	)
	(else
		= combo1 Random(1 12)
		= combo2 Random(10 28)
		= combo3 Random(75 96)
		(TheMenuBar:draw())
		(SL:enable())
		//(send gEgo:get(1)get(2)get(3)get(4)get(5)get(6)get(7)get(8)get(9)get(10))
		//(send gEgo:get(11)get(12)get(13)get(14))
	    (send gRoom:newRoom(1))
	)
  )
)
/******************************************************************************/
