//******************************************************************************
// rm008.sc                                                              Dungeon 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 8)
//*****************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj")
//******************************************************************************
(local
 i
 j
 
)
//******************************************************************************

(instance public rm008 of Rm
(properties picture 800)
  (method (init)
  (super:init())

  (self:setScript(RoomScript))

  )// end method
)// end instance
//******************************************************************************
// Health Bar
//******************************************************************************
(instance healthBackDrop of Prop(properties x 67 y 182 view 10 loop 0 cel 1))
(instance healthBar of Prop(properties x 77 y 175 view 10 loop 2 cel 0))
//******************************************************************************
// Menu Icons
//******************************************************************************
(instance walkIcon of Prop(properties x 21 y 160 view 950 loop 1 cel 0))
(instance talkIcon of Prop(properties x 51 y 160 view 950 loop 1 cel 1))
(instance lookIcon of Prop(properties x 81 y 160 view 950 loop 1 cel 2))
(instance handIcon of Prop(properties x 112 y 160 view 950 loop 1 cel 3))
//******************************************************************************
// Inventory
//******************************************************************************
(instance inventory1 of Prop(properties x 400 y 400 view 950 loop 2 cel 1))
(instance inventory2 of Prop(properties x 400 y 400 view 950 loop 2 cel 2))
(instance inventory3 of Prop(properties x 400 y 400 view 950 loop 2 cel 3))
(instance inventory4 of Prop(properties x 400 y 400 view 950 loop 2 cel 4))
(instance inventory5 of Prop(properties x 400 y 400 view 950 loop 2 cel 5))
(instance inventory6 of Prop(properties x 400 y 400 view 950 loop 2 cel 6))
(instance inventory7 of Prop(properties x 400 y 400 view 950 loop 2 cel 7))
(instance inventory8 of Prop(properties x 400 y 400 view 950 loop 2 cel 8))
(instance inventory9 of Prop(properties x 400 y 400 view 950 loop 2 cel 9))
(instance inventory10 of Prop(properties x 400 y 400 view 950 loop 2 cel 10))
(instance inventory11 of Prop(properties x 400 y 400 view 950 loop 2 cel 11))
(instance inventory12 of Prop(properties x 400 y 400 view 950 loop 2 cel 12))
(instance inventory13 of Prop(properties x 400 y 400 view 950 loop 2 cel 13))
//******************************************************************************
(instance RoomScript of Script
	(properties)

	(method (doit)
		(super:doit())
		// code executed each game cycle
	)

	(method (handleEvent pEvent)
		(super:handleEvent(pEvent))
		// handle Said's, etc...
	)

	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0
				SetCursor(0 HaveMouse())
				Display("Hours later, you awaken..."  dsCOORD 100 80 dsCOLOR 15 dsFONT 1 dsBACKGROUND -1 )
				= cycles 30
			)
			(case 1 
				DrawPic(8 6)
  SetCursor(994 HaveMouse())				  
  //(send (Prop:new()):view(308)loop(0)cel(1)posn(162 47)addToPic()setPri(10))
  (send (Prop:new()):view(308)loop(0)cel(2)posn(284 81)addToPic())
  (send (Prop:new()):view(308)loop(0)cel(3)posn(248 132)addToPic())
  //(send (Prop:new()):view(308)loop(0)cel(0)posn(77 61)addToPic())
  //(send (Prop:new()):view(308)loop(0)cel(0)posn(238 61)addToPic())

  SetUpEgo(2 1)
  (send gEgo:init()posn(150 130))
  
  //******************************************** 
  // Handle the Menu Icons...
  //********************************************
  (walkIcon:setPri(15)addToPic())
  (talkIcon:setPri(15)addToPic())
  (lookIcon:setPri(15)addToPic())
  (handIcon:setPri(15)addToPic()) 
   
  (healthBackDrop:setPri(14)addToPic())
  (healthBar:setPri(15)init()cel(egoHealth))
  
  //******************************************** 
  // Handle the Inventory...
  //********************************************
  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position
  
    (for (= j 1) (<= j totalItems) (++j)
     (switch(j)
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
       (case 11 = thisItem inventory11)
       (case 12 = thisItem inventory12)
       (case 13 = thisItem inventory13)
	 )// end switch
	 (if(send gEgo:has(j))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop  	    
    = cycles 10
			)
			(case 2 Print("You find yourself in some sort of dungeon and you're not really sure how you got here.")
				    (if(== deathBy 1)Print("The last thing you remember you were getting the jolt of a lifetime."))
				    (if(== deathBy 2)Print("The last thing you remember was finding the Golden Chalice when someone crammed you in a sack."))
				    (if(== deathBy 3)Print("The last thing you remember was being attacked by some sort of ghost."))
				    (if(== deathBy 4)Print("The last thing you remember was being attacked by Sandy, she can pack quite a wallop."))
				    (if(== deathBy 5)Print("The last thing you remember was being attacked by Sandy, maybe you should have done a bit more to make sure she didn't get back up."))
				    Print("Judging by your surroundings, things really don't look good.")
				    = cycles 200
			)
			(case 3 Print("You know what, I am going to show a little mercy and stop you now. There is no way out of this dungeon. You are going to die a long and agonizing death.")
				   (send gEgo:setMotion(NULL))
				   = cycles 10
			)
			(case 4
				Print("Restart, Restore, or Quit")
			)
		)
	)
)
/******************************************************************************/
