//******************************************************************************
// rm009.sc                                                              Finale 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 9)
//******************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
(use "sciAudio")
//******************************************************************************
(local
 snd
	toLate = FALSE	
)
//******************************************************************************
(instance public rm009 of Rm
(properties picture 6)
  (method (init)
  (super:init())
  = goToRoom 0
  = snd aud
  
  (self:setScript(RoomScript))
   
  //********************************************
  // Handle the Ego placement
  //******************************************** 
  SetUpEgo(0 1)		
  (fakeEgo:init()posn(78 131)loop(3)ignoreActors())
  (send gEgo:init()hide()posn(78 131)loop(3)observeControl(ctlNAVY))
  //********************************************
  // Handle the room accessories
  //********************************************  
  (nightStand:addToPic()ignoreActors()setPri(3))
  (overheadLight:addToPic()ignoreActors()setPri(3))
  (phone:init()ignoreActors()setPri(4))
  (planter:addToPic()ignoreActors()setPri(12))
  (pillow:addToPic()ignoreActors())
  (mirrorEgo:init()setPri(0)ignoreActors()setScript(mirroring)) 
  
  (sandy:init()setScript(bagEgo))

  //********************************************
  // Handle the rooms items
  //******************************************** 
  (if(== item2Room 6) (lostItem2:init())) 
  (if(== item3Room scriptNumber) (lostItem3:init())) 
  (if(== item4Room scriptNumber) (lostItem4:init()))
  (if(== item12Room scriptNumber) (lostItem12:init()))
  
  (if((not(gotLiveDildo)) or (== item8Room 5) or (== item8Room 6))(dildo:init()ignoreActors()))
  (if((not(gotPerfume)) or (== item11Room 5) or (== item11Room 6))(perfume:init()ignoreActors()))
  //********************************************
  // Handle the Doors...
  //********************************************
  (bedClosetDoor:init()ignoreActors()setPri(4))
  
  //******************************************** 
  // Handle the Menu Icons...
  //********************************************
  (walkIcon:setPri(15)addToPic())
  (talkIcon:setPri(15)addToPic())
  (lookIcon:setPri(15)addToPic())
  (handIcon:setPri(15)addToPic())
  
  (healthBackDrop:setPri(14)addToPic())
  (healthBar:setPri(15)init()cel(egoHealth))
  
  //******************************************** 
  // Handle the Inventory...
  //********************************************
  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position
  
    (for (= i 1) (<= i totalItems) (++i)
     (switch(i)
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
       (case 11 = thisItem inventory11)
       (case 12 = thisItem inventory12)
       (case 13 = thisItem inventory13)
       (case 14 = thisItem inventory14)
	 )// end switch
	 (if(send gEgo:has(i))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop
	    
  )// end method
)// end instance
//******************************************************************************
// Rooms Views, Props, and Actors
//******************************************************************************
(instance nightStand of Prop(properties x 294 y 129 view 306 loop 0 cel 0))
(instance overheadLight of Prop(properties x 147 y 38 view 306 loop 0 cel 1))
(instance phone of Prop(properties x 293 y 108 view 306 loop 0 cel 2))
(instance perfume of Prop(properties x 66 y 84 view 306 loop 0 cel 3))
(instance planter of Prop(properties x 22 y 129 view 306 loop 0 cel 4))
(instance pillow of Prop(properties x 260 y 102 view 306 loop 0 cel 6))
(instance dildo of Prop(properties x 133 y 84 view 950 loop 5 cel 8))
(instance bedClosetDoor of Prop(properties x 21 y 122 view 306 loop 1 cel 8))
(instance mirrorEgo of Prop(properties x 78 y 116 view 0 loop 3 cel 0))

(instance phoneEgo of Prop(properties x 265 y 128 view 4 loop 0 cel 0))
(instance wordBubble of Prop(properties x 242 y 60 view 306 loop 2 cel 0))
(instance fakeEgo of Prop(properties x 78 y 116 view 1 loop 3 cel 0))
(instance sandy of Act(properties x 265 y 128 view 104 loop 1 cel 0))
(instance sandyBubble of Prop(properties x 206 y 73 view 309 loop 5 cel 0))
(instance mist of Prop(properties x 122 y 131 view 309 loop 1 cel 0))
(instance batMan of Prop(properties x 90 y 145 view 310 loop 0 cel 0))

(instance lostItem2 of Prop(properties x 122 y 84 view 950 loop 3 cel 2))
(instance lostItem3 of Prop(properties x 101 y 117 view 950 loop 3 cel 3))
(instance lostItem4 of Prop(properties x 189 y 99 view 950 loop 3 cel 4))
(instance lostItem12 of Prop(properties x 109 y 84 view 950 loop 3 cel 12))
//******************************************************************************
// Health Bar
//******************************************************************************
(instance healthBackDrop of Prop(properties x 67 y 182 view 10 loop 0 cel 0))
(instance healthBar of Prop(properties x 77 y 175 view 10 loop 1 cel 0))
//******************************************************************************
// Menu Icons
//******************************************************************************
(instance walkIcon of Prop(properties x 21 y 160 view 950 loop 0 cel 0))
(instance talkIcon of Prop(properties x 51 y 160 view 950 loop 0 cel 1))
(instance lookIcon of Prop(properties x 81 y 160 view 950 loop 0 cel 2))
(instance handIcon of Prop(properties x 112 y 160 view 950 loop 0 cel 3))
//******************************************************************************
// Inventory
//******************************************************************************
(instance inventory1 of Prop(properties x 400 y 400 view 950 loop 5 cel 1))
(instance inventory2 of Prop(properties x 400 y 400 view 950 loop 5 cel 2))
(instance inventory3 of Prop(properties x 400 y 400 view 950 loop 5 cel 3))
(instance inventory4 of Prop(properties x 400 y 400 view 950 loop 5 cel 4))
(instance inventory5 of Prop(properties x 400 y 400 view 950 loop 5 cel 5))
(instance inventory6 of Prop(properties x 400 y 400 view 950 loop 5 cel 6))
(instance inventory7 of Prop(properties x 400 y 400 view 950 loop 5 cel 7))
(instance inventory8 of Prop(properties x 400 y 400 view 950 loop 5 cel 8))
(instance inventory9 of Prop(properties x 400 y 400 view 950 loop 5 cel 9))
(instance inventory10 of Prop(properties x 400 y 400 view 950 loop 5 cel 10))
(instance inventory11 of Prop(properties x 400 y 400 view 950 loop 5 cel 11))
(instance inventory12 of Prop(properties x 400 y 400 view 950 loop 5 cel 12))
(instance inventory13 of Prop(properties x 400 y 400 view 950 loop 5 cel 13))
(instance inventory14 of Prop(properties x 400 y 400 view 950 loop 5 cel 14))
//******************************************************************************
(instance RoomScript of Script
(properties)
  (method (doit)
  (super:doit())     

   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC scriptNumber)
    UnLoad(rsSCRIPT scriptNumber)
    UnLoad(rsTEXT scriptNumber)
    UnLoad(rsTEXT 7) // lost inventory
    UnLoad(rsTEXT 1) 
    UnLoad(rsTEXT 500) // Inventory
    UnLoad(rsTEXT 501) // Inventory 
    UnLoad(rsVIEW 2)   // Dark views
    UnLoad(rsSCRIPT 950) // pnc script    
    UnLoad(rsTEXT 950)   // pnc text
    UnLoad(rsVIEW 950)   // pnc views
    UnLoad(rsVIEW 306)     
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0
  )// end doit method

  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if(==(send pEvent:type())evMOUSEBUTTON)
    (if(& (send pEvent:modifiers) emRIGHT_BUTTON)
       (if(== gProgramControl TRUE)(send pEvent:claimed(TRUE)))// do nuthin 
       (else
       	(send pEvent:claimed(TRUE))
        (switch(gCurrentCursor)
         (case itemIcon  SetCursor(999 HaveMouse()) = gCurrentCursor 999)// item to walk
         (case 999 SetCursor(996 HaveMouse()) = gCurrentCursor 996)// walk to talk
         (case 996 SetCursor(998 HaveMouse()) = gCurrentCursor 998)// talk to look
         (case 998 SetCursor(995 HaveMouse()) = gCurrentCursor 995)// look to touch
         (case 995 
         	(if (== itemIcon 900)SetCursor(999 HaveMouse()) = gCurrentCursor 999)// touch to walk if no item
       		(else SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon)// touch to item
	     )// end case
        )// end switch
	   )
      )// end right button	
    	  
      (if(not(& (send pEvent:modifiers) emRIGHT_BUTTON))// left clicks
       (if(== gProgramControl FALSE)
//****************************************************************************
// PLAYABLE AREA                                  
//****************************************************************************
// clicks on Ego   - Only register food, all other clicks assume aren't on ego                               
//****************************************************************************
(if((> (send pEvent:x) (send gEgo:nsLeft))and
	(< (send pEvent:x) (send gEgo:nsRight))and
	(> (send pEvent:y) (send gEgo:nsTop))and
	(< (send pEvent:y) (send gEgo:nsBottom)))
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 3 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 6)Print(0 7)Print(0 8)   // rotting ham
    	    (inventory3:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(3))
	)
    (case 4 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 9)Print(0 7)Print(0 8)   // rotting turkey
    	    (inventory4:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(4))
	)
    (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 10))   // ketchup
    (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 11))   // lettuce
    (case 7 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 12)Print(0 13)   // salad
    	    (inventory5:cel(0))
    	    (inventory6:cel(0))
    	    (inventory7:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(7))
	)
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))  // all other cursors
  ) // end switch
) // end if ego                                  
//****************************************************************************
// Menu Icons                                  
//****************************************************************************
(if((> (send pEvent:x) (walkIcon:nsLeft))and
	         (< (send pEvent:x) (walkIcon:nsRight))and
	         (> (send pEvent:y) (walkIcon:nsTop))and
	         (< (send pEvent:y) (walkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(999 HaveMouse()) 
             = gCurrentCursor 999
		 )
(if((> (send pEvent:x) (talkIcon:nsLeft))and
	         (< (send pEvent:x) (talkIcon:nsRight))and
	         (> (send pEvent:y) (talkIcon:nsTop))and
	         (< (send pEvent:y) (talkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(996 HaveMouse()) 
             = gCurrentCursor 996
		 )
(if((> (send pEvent:x) (lookIcon:nsLeft))and
	         (< (send pEvent:x) (lookIcon:nsRight))and
	         (> (send pEvent:y) (lookIcon:nsTop))and
	         (< (send pEvent:y) (lookIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(998 HaveMouse()) 
             = gCurrentCursor 998
		 )
(if((> (send pEvent:x) (handIcon:nsLeft))and
	         (< (send pEvent:x) (handIcon:nsRight))and
	         (> (send pEvent:y) (handIcon:nsTop))and
	         (< (send pEvent:y) (handIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(995 HaveMouse()) 
             = gCurrentCursor 995
		 )
//****************************************************************************
// Clicks on Inventory                                   
//****************************************************************************
(for (= i 1) (<= i totalItems) (++i)  
     (switch(i)
       (case 1 = thisItem inventory1            = thisTitle "Flashlight")
       (case 2 = thisItem inventory2            = thisTitle "Flashlight")
       (case 3 = thisItem inventory3            = thisTitle "Rotting Ham")
       (case 4 = thisItem inventory4            = thisTitle "Rotting Turkey")
       (case 5 = thisItem inventory5            = thisTitle "Ketchup")
       (case 6 = thisItem inventory6            = thisTitle "Lettuce")
       (case 7 = thisItem inventory7            = thisTitle "Salad")
       (case 8 = thisItem inventory8            = thisTitle "Intimate Personal Massager")
       (case 9 = thisItem inventory9            = thisTitle "Wire")
       (case 10 = thisItem inventory10          = thisTitle "Batteries")
       (case 11 = thisItem inventory11          = thisTitle "Vintage Perfume Atomizer")
       (case 12 = thisItem inventory12          = thisTitle "Key")
       (case 13 = thisItem inventory13          = thisTitle "Fuses")
       (case 14 = thisItem inventory14          = thisTitle "Golden Chalice")
	 )	      
     = isSpecial FALSE           // check if i is a special case value
     (for (= a 0) (< a 5) (++a) // ***************************** reflect size of specialCase array !!!!!!!!!!
     	(if(== specialCase[a] i)
     	= isSpecial TRUE
		)
	 )	
  (if(not(isSpecial))	 
  (if((> (send pEvent:x)(send thisItem:nsLeft))and // item ### 
      (< (send pEvent:x)(send thisItem:nsRight))and
      (> (send pEvent:y)(send thisItem:nsTop))and
      (< (send pEvent:y)(send thisItem:nsBottom)))
      (switch(send thisItem:cel)
      	(case 0 )// cel 0, probly been dropped
      	(case i  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) Print(500 i #title thisTitle #icon 950 4 i #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(i HaveMouse())// get
                      = itemIcon i
                      = gCurrentCursor i)
            (case i (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
      )// end inventory cel switch
  )// ends click on view 
  )// ends not special...
)// ends for loop

// Inventory Special Cases
  (if((> (send pEvent:x)(inventory1:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory1:nsRight))and
      (> (send pEvent:y)(inventory1:nsTop))and
      (< (send pEvent:y)(inventory1:nsBottom)))
      (switch(inventory1:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 1  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 1 #title "Flashlight" #icon 950 4 1 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(1 HaveMouse())// get
                      = itemIcon 1
                      = gCurrentCursor 1)
            (case 1 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  (if((> (send pEvent:x)(inventory8:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory8:nsRight))and
      (> (send pEvent:y)(inventory8:nsTop))and
      (< (send pEvent:y)(inventory8:nsBottom)))
      (switch(inventory8:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 8  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 8 #title "Intimate Personal Massager" #icon 950 4 8 #time 15)// look
            	      Print(501 19)
            	      Print(501 20)
            	      (send gEgo:get(10))
            	      (send gEgo:put(8))
            	      = gotBatteries TRUE
            	      (inventory8:cel(0))
                      (send gGame:changeScore(3))
            	      = thisItem inventory10
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
  	        )
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk	      
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(8 HaveMouse())// get
                      = itemIcon 8
                      = gCurrentCursor 8)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
		  )// end current cursor switch
		)// end cel case
	  )	// ends switch	
  )// ends click on view

  (if((> (send pEvent:x)(inventory5:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory5:nsRight))and
      (> (send pEvent:y)(inventory5:nsTop))and
      (< (send pEvent:y)(inventory5:nsBottom)))
      (switch(inventory5:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 5  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 5 #title "Ketchup" #icon 950 4 5 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(5 HaveMouse())// get
                      = itemIcon 5
                      = gCurrentCursor 5)
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory5:cel(7))
                     (inventory6:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995 
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

  (if((> (send pEvent:x)(inventory6:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory6:nsRight))and
      (> (send pEvent:y)(inventory6:nsTop))and
      (< (send pEvent:y)(inventory6:nsBottom)))
      (switch(inventory6:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 6  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 6 #title "Lettuce" #icon 950 4 6 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(6 HaveMouse())// get
                      = itemIcon 6
                      = gCurrentCursor 6)
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory6:cel(7))
                     (inventory5:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view                                  
//****************************************************************************
// Regular Room Clicks                                  
//****************************************************************************

(if(== (send pEvent:type(evMOUSEBUTTON) claimed()) FALSE)	
//*****************************************
// Lost Items
//*****************************************

  (if((> (send pEvent:x) (lostItem2:nsLeft))and
    (< (send pEvent:x) (lostItem2:nsRight))and
    (> (send pEvent:y) (lostItem2:nsTop))and
    (< (send pEvent:y) (lostItem2:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 2)
      	                     (send gEgo:get(2))
      	                     (lostItem2:posn(400 400))
      	                     = item2Room 0
      	                     
      	              = thisItem inventory2
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 3))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem3:nsLeft))and
    (< (send pEvent:x) (lostItem3:nsRight))and
    (> (send pEvent:y) (lostItem3:nsTop))and
    (< (send pEvent:y) (lostItem3:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 4))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 5))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 6)
      	                     (send gEgo:get(3))
      	                     (lostItem3:posn(400 400))
      	                     = item3Room 0
      	              = thisItem inventory3
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 7))// other items
     )// end current cursor switch
  )// end view  
  (else	
  (if((> (send pEvent:x) (lostItem4:nsLeft))and
    (< (send pEvent:x) (lostItem4:nsRight))and
    (> (send pEvent:y) (lostItem4:nsTop))and
    (< (send pEvent:y) (lostItem4:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 8))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 9))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              	       Print(7 10)
      	                     (send gEgo:get(4))
      	                     (lostItem4:posn(400 400))
      	                     = item4Room 0
      	              = thisItem inventory4
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 11))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem12:nsLeft))and
    (< (send pEvent:x) (lostItem12:nsRight))and
    (> (send pEvent:y) (lostItem12:nsTop))and
    (< (send pEvent:y) (lostItem12:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 36))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 37))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 38)
      	                     (send gEgo:get(12))
      	                     (lostItem12:posn(400 400))
      	                     = item12Room 0
      	              = thisItem inventory12
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 39))// other items
     )// end current cursor switch
  )// end view
  //************************************************************
  	
(else
// Click on Control
(if((> (send pEvent:x) (sandy:nsLeft))and
    (< (send pEvent:x) (sandy:nsRight))and
    (> (send pEvent:y) (sandy:nsTop))and
    (< (send pEvent:y) (sandy:nsBottom)))         
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print("Hey that looks just like the girl on the wanted poster."))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// talk
      	        (if(caughtSandy)Print(" "))
      	        (else
      	        	(if(blindedSandy)Print(" "))
      	        	(else Print("She does not appear to be in the mood for a civil conversation."))
				)
	  )
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(caughtSandy)Print("She is far too heavy for someone like you to move by themself."))
      	        (else
      	        	(if(blindedSandy)Print("She has merely been blinded, I wouldn't go feeling her up if I were you, she is still dangerous."))
      	        	(else Print("Judging by how many times she has smacked the crap out of you so far, she is obviously man enough to take you."))
				)
	  )
      (case 11 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//perfume
      	          (if(blindedSandy)Print("You have already done that!"))
      	          (else 
      	          	    (if(not(toLate))
      	          	    Print("Taking aim, you spray a heavy cloud of the obnoxious perfume into her path.")
                        = blindedSandy TRUE
                        (send gGame:changeScore(10))
                        (fakeEgo:posn(81 132)view(309)loop(0))
                        (mist:init()setCycle(End)ignoreActors())
						)
				  )
	  )
	  (case 9  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//wire
	  	          (if(blindedSandy)Print("Wisely you decide to tie up Sandy while she is incapacitated.")
                        = caughtSandy TRUE
                        (send gGame:changeScore(20))
                        = itemIcon 900
                        (inventory9:cel(0))
                        SetCursor(995 HaveMouse())
                        = gCurrentCursor 995
                        (sandy:loop(4))
				  )
	  	          (else Print("She is moving way too fast for you to have a chance to do anything with the wire."))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print("She does not seem to be dissuaded by that in the least."))// item
	 )// end current cursor switch
)// end if Control	
(else
	(if((> (send pEvent:x) (dildo:nsLeft))and
    (< (send pEvent:x) (dildo:nsRight))and
    (> (send pEvent:y) (dildo:nsTop))and
    (< (send pEvent:y) (dildo:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 4))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 5))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(6 6)
      	              (if(not(gotLiveDildo))
      	        	   = gotLiveDildo TRUE
      	        	   (send gGame:changeScore(1))
					  )
      	        	  = item8Room 0
      	        	  (dildo:posn(339 87))
      	        	  (send gEgo:get(8))
      	        	  
            	      = thisItem inventory8
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 7))// other items
    )// end current cursor switch
)// end view
(else
	(if((> (send pEvent:x) (perfume:nsLeft))and
    (< (send pEvent:x) (perfume:nsRight))and
    (> (send pEvent:y) (perfume:nsTop))and
    (< (send pEvent:y) (perfume:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 8))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 9))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(6 10)
	                  (if(not(gotPerfume))
      	        	   (send gGame:changeScore(1))
      	        	   = gotPerfume TRUE
					  )
      	        	  = item11Room 0
      	        	  (perfume:posn(339 87))
      	        	  (send gEgo:get(11))
      	        	  
            	      = thisItem inventory11
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 11))// other items
    )// end current cursor switch
)// end view	
	
(else
// Click on Control
(if(== $0004 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Green 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 12))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 13))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 14))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 15))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0008 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Teal 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 16))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 17))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 18))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 19))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0040 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Brown 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 20))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 21))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 22))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 23))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Priority
(if(== $1000 OnControl(ocPRIORITY (send pEvent:x) (send pEvent:y)))        // Red 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 59))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 60))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 61))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 62))// item
     )// end current cursor switch
)// end if Priority
(else
// Click on Control
(if(== $0010 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Maroon 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 24))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 25))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(send gEgo:inRect(15 115 40 123))
      	          (if(bedroomClosetOpen)          // door unlocked
      	            (if(== (bedClosetDoor:cel) 0)// door closed 
      	            Print(6 26)
      	            (bedClosetDoor:setScript(openCloset))
      	            
				   )
				   (else Print("You have already opened the closet door"))
				  ) 
				(else
					Print(6 29)
					Print(6 30)
				)
				)
				   (else
				   	Print("You can not reach the closet door from here.")
				   )
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 35))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0200 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Blue 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 36))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 37))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 38))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 39))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0080 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Silver 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 31))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 32))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 33))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 34))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $1000 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Red 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 40))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 41))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 42))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 43))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0020 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Purple 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 44))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 45))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        
      	        	(if(send gEgo:inRect(240 118 300 137))
      	        	//Print("Picking up the phone, you are surprised to hear a dial tone.")
      	            //Print("You dial the only number that you know may be of use to you in a time like this.")
      	            ProgramControl()
      	            (phone:setScript(talkOnPhone))
				    )
				    (else Print("You are not close enough to use the phone."))
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 46))// item
     )// end current cursor switch
)// end if Control

(else
// Click on Control
(if(== $0100 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Gray 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 47))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 48))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 49))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 50))// item
     )// end current cursor switch
)// end if Control
//****************************************************************************
//                                                            // Room defaults
(else
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 0))// look
    (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 1))// talk
    (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 2))// get
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) // items
    	      (switch(Random(0 2))
    	      	(case 0 Print(950 22))
    	      	(case 1 Print(950 23))
    	      	(case 2 Print(950 24))
    	      )// end random switch
    )// end default case
  )// end cursor switch
)// end else room default
//*************************************
))))))))))))))))
//*************************************/
)// ends check of claimed or not
	   )// end if not program control
      )// end left click
    )// end mouse button
  )// end method
)// end instance

//********************************************

(instance mirroring of Script
(properties)
  (method (doit)
  (super:doit()) 
  (mirrorEgo:loop(send gEgo:loop) posn((send gEgo:x) (- (send gEgo:y) 15)))
 )
)
//*****************************************

(instance bagEgo of Script
(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0 //(sandy:view(103)loop(1))
				   ProgramControl()
                   SetCursor(0 HaveMouse())
				   = cycles 5
			)
			(case 1 = cycles 15
                   SetCursor(0 HaveMouse())
				    (fakeEgo:loop(0))
				    (send gEgo:loop(0))
			)
			(case 2 (sandyBubble:init()setPri(15))
				   = cycles 25
				    
			)
			(case 3 (sandyBubble:cel(1))
				   = cycles 25
				    
			)
			(case 4 (sandyBubble:cel(2))
				   = cycles 15
				    
			)
			(case 5 (sandyBubble:posn(400 400)cel(2))
                  SetCursor(gCurrentCursor HaveMouse())
				  PlayerControl()
				   = cycles 5
				    
			)
			(case 6 
				    (sandy:view(103)xStep(9)setCycle(Walk)setMotion(MoveTo 114 128 bagEgo)ignoreControl(ctlWHITE))
			)
			(case 7
				    (if(blindedSandy)
				    = cycles 1
					)
					(else
					= toLate TRUE
					(batMan:init()setPri(15)cel(Random(0 2)))
					= cycles 1	
					)
			)
			(case 8
				   (if(blindedSandy)
				   	 Print("With a screech, Sandy falls to the floor right at your feet, writhing in pain as the acrid perfume stops her dead in her tracks.")
				   	 = cycles 1
				   )
				   (else 
				   	 (send snd:
                     command("play")
                     fileName("effects\\punch.sciAudio")
                     volume("50")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("0000")
                     loopCount("0")  // loop forever
                     init()
                    )
                    
				    ShakeScreen(2 ssFULL_SHAKE)
				    (bagEgo:changeState(50))
				   )
			)
			(case 9 
				   (sandy:posn(80 136)view(309)loop(3))
				   (mist:loop(2)cel(0)setCycle(End))	      
                   (send gEgo:show()posn(78 128)loop(2))
                   (fakeEgo:posn(400 400)hide())
			)
			
			
			
			(case 50 
				     = egoHealth 0
				    (healthBar:cel(egoHealth))
				     = cycles 10
			)
			(case 51 = deathBy 4
				     = goToRoom 8)
		)
 )
)
/******************************************************************************/

(instance openCloset of Script
(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0 
				   (bedClosetDoor:cel(1)setPri(3)posn(43 116))
				   = cycles 5
			)
			(case 1
				                            // lights on
				        (if(caughtSandy)    // Sandy tied up
				           Print(6 27)
      	        	       Print(6 28)
      	        	       (send gEgo:get(14))
      	        	       (send gGame:changeScore(15))
      	        	       
            	           = thisItem inventory14
                          (send thisItem:setPri(15)init())
                          (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                      (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
						)
						(else  // Sandy just knocked out
						  Print("Aha, there it is, the Golden Chalice.")
						  Print("Just as you start to reach for it...")
						 (sandy:ignoreActors()setScript(kickAss))	
						)
			)
		)
	)
)

//*****************************************

(instance kickAss of Script
(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0 
				   (sandy:posn(75 132)view(103)loop(1))
				   ProgramControl()
                   SetCursor(0 HaveMouse())
				   = cycles 5
			)
			(case 1
				  (sandy:setMotion(MoveTo 58 122 kickAss))
			)
			(case 2
					
					(batMan:init()setPri(15)posn(51 127)cel(Random(0 2)))
					= cycles 1
			)
			(case 3
				  ShakeScreen(2 ssFULL_SHAKE)
				  = egoHealth 0
				  (healthBar:cel(egoHealth))
				  = cycles 5
			)
			(case 4  = deathBy 5
				     = goToRoom 8)
		)
	)
)
			
//*****************************************
// Phone for Help
//*****************************************
// If clicked on phone in this version of room
// means lights are on and the closet door is 
// locked... calling 911 just because trapped
//*****************************************

(instance talkOnPhone of Script
(properties)
  (method (changeState thisState)
  (= state thisState)
    (switch (thisState)
    (case 0 ProgramControl()
            SetCursor(0 HaveMouse())
    	    Print("Picking up the phone, you are surprised to hear a dial tone." #time 8)
    	    = cycles 2
	        )
	(case 1 (phone:cel(5))
		    (phoneEgo:init())
		    (send gEgo:hide())
		    (send gGame:changeScore(14))
      	    = seconds 3
	        )
	(case 2 
		    (if(caughtSandy)
      	     Print("You dial the only number that you know may be of use to you in a time like this." #time 10)
      	     = seconds 3
			)
			(else (sandy:posn(80 127)view(103)loop(0))
				  = cycles 5
			)
	)
	(case 3
		    (if(caughtSandy)
      	     (wordBubble:init()posn(200 69)cel(0)setPri(15))
      	     = seconds 3
			)
			(else
			 (sandy:setMotion(MoveTo 229 127 talkOnPhone))	
			)
	)
	(case 4
		    (if(caughtSandy)
		     (wordBubble:posn(206 127)cel(5))// caught the fugitive Sandy Pantz
      	     = seconds 3
			)
			(else
			 (batMan:init()setPri(15)posn(250 141)cel(Random(0 2)))
			 = cycles 1	
			)
	)
	(case 5
		    (if(caughtSandy)
		     (wordBubble:posn(200 69)cel(2))
      	     = seconds 3
			)
			(else
			 ShakeScreen(2 ssFULL_SHAKE)
		     = egoHealth 0
			 (healthBar:cel(egoHealth))
			 = cycles 5	
			)
	)
	(case 6
		    (if(caughtSandy)
		     (wordBubble:posn(206 127)cel(3))
      	     = seconds 3
			)
			(else
			 = deathBy 5
			 = goToRoom 8	
			)
	)
	(case 7 (wordBubble:posn(200 69)cel(4))
      	    = seconds 3
	)
	(case 8 
		    (wordBubble:hide()posn(400 400))
		    (phoneEgo:hide()posn(400 400))
		    (phone:cel(2))
		    (send gEgo:show()posn(256 126))
		    = cycles 5
	)
	(case 9
		    Print("With that the phone call ends, so you hang it back up." #time 10)
		    = cycles 15
	)
	(case 10 
		    Print("Nothing left to do now but wait." #time 5)
		    (send gEgo:loop(2))
		    = seconds 5
    )
    (case 11 = goToRoom 15)
    )// end switch
  )// end method
)// end instance
			
			
(instance aud of sciAudio(properties)(method (init)(super:init())))
