//******************************************************************************
// rm015.sc                                                              Outro 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 15)
//*****************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
(use "sciAudio")
//******************************************************************************
(local
 snd
 doCursor = FALSE
)
//******************************************************************************

(instance public rm015 of Rm
(properties picture 800)
  (method (init)
  (super:init())
  = goToRoom 0
  = snd aud

  (self:setScript(RoomScript))
  
  (if((send gEgo:has(14)))(adoor:init()hide()ignoreActors()setScript(fullWin))) // has the chalice, means sandy was tied up
  (else 
  	(if(caughtSandy)(adoor:init()hide()ignoreActors()setScript(fullWin)))// caught Sandy but no chalice
  	(else(adoor:init()hide()ignoreActors()setScript(fullLoss)))// no Sandy and no chalice	
  )


  )// end method
)// end instance
//******************************************************************************
//******************************************************************************

(instance jeff of Act(properties x 400 y 143 view 101 loop 0 cel 0)) // MoveTo 247 143
(instance razor of Act(properties x 330 y 160 view 102 loop 1 cel 0))// MoveTo 133 160 
(instance dave of Act(properties x 450 y 150 view 100 loop 2 cel 0))// MoveTo 221 150  

(instance wordBubble of Prop(properties x 185 y 93 view 315 loop 1 cel 0)) 
(instance windowGhost of Prop(properties x 247 y 73 view 315 loop 0 cel 0))  
(instance adoor of Prop(properties x 185 y 93 view 801 loop 3 cel 0))  
(instance sandy of Act(properties x 180 y 88 view 105 loop 0 cel 0))   
(instance copper of Act(properties x 184 y 88 view 106 loop 0 cel 0)) 

(instance aud of sciAudio(properties)(method (init)(super:init())))
//******************************************************************************
(instance RoomScript of Script
(properties)	
  (method (doit)
  (super:doit())    
   
   (if(not(doCursor))
    SetCursor(0 HaveMouse())
    = doCursor TRUE
   )
   
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC scriptNumber)
    UnLoad(rsSCRIPT scriptNumber)
    UnLoad(rsTEXT scriptNumber)
    UnLoad(rsVIEW 0) // fake ego 
    UnLoad(rsVIEW 1) // fake ego 
    UnLoad(rsVIEW 315) 
    UnLoad(rsVIEW 801)
    UnLoad(rsVIEW 105) 
    UnLoad(rsVIEW 106) 
    
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0
  )// end doit method
)// end instance
//***********************************************
//***********************************************
(instance razorScript of Script
	(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0
  	                (dave:setMotion(MoveTo 247 150 razorScript))
  	                (razor:setMotion(MoveTo 133 160 razorScript))
  	                (jeff:setMotion(MoveTo 272 143 razorScript))
			)
			(case 1 (jeff:view(801)loop(0)cel(0)))
			(case 2 (dave:view(801)loop(9)cel(0)))
			(case 3 (razor:loop(3))
				    = cycles 20)
		    (case 4 (razor:loop(0))
		    	   = cycles 20)
		    (case 5 (razor:loop(3))
		    	   = cycles 5)
		    (case 6 (wordBubble:init()setPri(15)posn(77 100)loop(2)cel(0))
		    	    = cycles 20)
		    (case 7 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 8 (wordBubble:posn(220 76)cel(1))
		    	    = cycles 20)
		    (case 9 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 10 (wordBubble:posn(196 48)cel(2))
		    	    = cycles 20)
		    (case 11 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 12 (wordBubble:posn(196 48)cel(3))// catching fugitives
		    	    = cycles 20)
		    (case 13 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 14 (if(send gEgo:has(14))(wordBubble:posn(196 48)cel(4)))// and finding gold
			         (else (wordBubble:posn(220 76)cel(5))) // what about chalice
		    	    = cycles 20)
		    (case 15 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 16 (if(send gEgo:has(14))(wordBubble:posn(196 48)cel(8)))// whos tuna head now
			         (else (wordBubble:posn(196 48)cel(6))) // i err um
		    	    = cycles 20)
		    (case 17 (wordBubble:posn(400 400))
		    	    = cycles 5)
		    (case 18 (if(send gEgo:has(14))= cycles 1)
			         (else (wordBubble:posn(194 83)cel(7))= cycles 20) // what a tuna head
		    	    )
		    (case 19 (if(send gEgo:has(14))(wordBubble:posn(400 400))= cycles 5)
		    	     (else (wordBubble:posn(400 400))= cycles 5)
			)
			(case 20 (if(send gEgo:has(14))(send gEgo:view(1)loop(2)setMotion(MoveTo 140 150 razorScript)))
				     (else 
  	                      //(dave:setMotion(MoveTo 247 150 razorScript))
  	                      (razor:setMotion(MoveTo 290 160 razorScript))
  	                      //(jeff:setMotion(MoveTo 272 143 razorScript))
					 )
			)
			(case 21 (if(send gEgo:has(14))(send gEgo:setMotion(MoveTo -30 150 razorScript)))
				     (else 
  	                      (dave:view(100)loop(0)setMotion(MoveTo 360 150 razorScript))
  	                      (razor:view(102)loop(0)setMotion(MoveTo 360 160))
  	                      (jeff:view(101)loop(0)setMotion(MoveTo 360 143))
					 )
			)
			(case 22 = goToRoom 20)
		)// end switch
	)// end method
)// end instance
//***********************************************		
(instance fullWin of Script
	(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0
				SetCursor(000 HaveMouse())
				Display("Hours later, help arrives..."  dsCOORD 95 80 dsCOLOR 15 dsFONT 1 dsBACKGROUND -1 )
				= cycles 30
			)
			(case 1 
				DrawPic(801 6)
                = cycles 10
			)
			(case 2 
  	                (adoor:setPri(0)show()cel(1)ignoreActors())
  	                (dave:init()setCycle(Walk)ignoreActors())
  	                (razor:init()setCycle(Walk)ignoreActors()setScript(razorScript))
  	                (jeff:init()setCycle(Walk)ignoreActors())
  	                = cycles 25
			)
			(case 3 (send gEgo:init()posn(180 88)setCycle(Walk)setMotion(MoveTo 180 99 fullWin)))
			(case 4 (send gEgo:setMotion(MoveTo 140 99 fullWin)))
			(case 5 (send gEgo:loop(0)view(0))
				    = cycles 10
			)
			(case 6 (sandy:init()setCycle(Walk)setMotion(MoveTo 180 162 fullWin))
				    = cycles 7)
			(case 7 (send gEgo:loop(3))
				    (copper:init()setCycle(Walk)setMotion(MoveTo 184 162 fullWin)))
			(case 8 (sandy:hide()posn(400 400)))
			(case 9 (copper:hide()posn(400 400)))
		)
	)
)
//***********************************************
(instance fullLoss of Script
	(properties)
	(method (changeState newState)
		(= state newState)
		(switch (newState)
			(case 0
				SetCursor(000 HaveMouse())
				Display("Hours later, help arrives..."  dsCOORD 100 80 dsCOLOR 15 dsFONT 1 dsBACKGROUND -1 )
				= cycles 30
			)
			(case 1 
				DrawPic(801 6)
                = cycles 10
			)
			(case 2 
  	                (adoor:setPri(0)show()cel(1)ignoreActors())
  	                = cycles 5
			)
			(case 3 (copper:init()posn(180 88)setCycle(Walk)setMotion(MoveTo 180 162 fullLoss)))
			(case 4 (copper:hide())
				    = cycles 5
			)
			(case 5 (send gEgo:init()posn(180 88)setCycle(Walk)setMotion(MoveTo 180 100 fullLoss)))
			(case 6 (adoor:cel(0))
				    (send snd:
                      command("play")
                      fileName("effects\\frondoorclose.sciAudio")
                      volume("100")
                      loopFadeInMillisecs("0000")
                      loopFadeOutMillisecs("0000")
                      loopCount("0")  // loop forever
                      init()
                    )
				    = cycles 2
			)
			(case 7 ShakeScreen(2 ssFULL_SHAKE)
				    = cycles 5
			)
			(case 8 (send gEgo:setMotion(MoveTo 180 147 fullLoss)))
			(case 9 (send gEgo:loop(3))
				    = cycles 5
			)
			(case 10 (wordBubble:init()setPri(15)posn(125 78)view(315)loop(1)cel(0))
				    = cycles 15
			)
			(case 11 (wordBubble:posn(242 78)cel(1))
				    = cycles 10
			)
			(case 12 (windowGhost:addToPic())
				    = cycles 5
			)
			(case 13 
				(send snd:
                     command("play")
                     fileName("music\\undead.sciAudio")
                     volume("100")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("9999")
                     loopCount("0")  // loop forever
                     init()
                 )
                 (wordBubble:hide()posn(400 400))
				 = cycles 20
			)
			(case 14 (wordBubble:posn(239 128)show()cel(2))
				     (send snd:
                       command("play")
                       fileName("effects\\scream1.sciAudio")
                       volume("75")
                       loopFadeInMillisecs("0000")
                       loopFadeOutMillisecs("0000")
                       loopCount("0")  // loop forever
                       init()
                      )
                      = cycles 10
			)
			(case 15 (wordBubble:hide())
				     (send gEgo:xStep(15)setMotion(MoveTo -100 147 fullLoss))
				(send snd:
                     command("stop")
                     fileName("music\\undead.sciAudio")
                     loopFadeOutMillisecs("1000")
                     loopCount("0")
                     init()
                 )
			)
			(case 16 
                 = goToRoom 20
            )
		)
	)
)