/******************************************************************************/
(include "sci.sh")(include "game.sh")                (script 801)
/******************************************************************************/ 
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
/******************************************************************************/
(local
 canSkip = FALSE
 doCursor = FALSE
)
//*****************************************************************************
(instance public rm801 of Rm
(properties picture 800)
  (method (init)
  ProgramControl() 
  = gProgramControl FALSE
  (send gGame:setSpeed(1))
  (SL:disable())
  (super:init())
  = goToRoom 0
  (self:setScript(RoomScript)) 
  )// end method
)// end instance
/******************************************************************************/
(instance RoomScript of Script
(properties)     
  (method (doit)
  (super:doit())  
   
   (if(not(doCursor))
    SetCursor(0 HaveMouse())
    = doCursor TRUE
   )
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC 800)
    UnLoad(rsSCRIPT TITLESCREEN_SCRIPT)
    UnLoad(rsSOUND 800) 
    UnLoad(rsVIEW 994)    
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0   
 )// end method
  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if( not (send pEvent:claimed) )
      (if(canSkip) = goToRoom INITROOMS_SCRIPT)
    ) 
  )// end method
    (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 (send gTheMusic:prevSignal(0)stop()number(800)loop(1)play())
      	      = cycles 100
	  )
	  (case 1
           (Sack:init())
           (part0:addToPic())
           (part15:addToPic())
             = cycles 45
       )
      (case 2              
           (part1:addToPic())
           (part14:addToPic())
             = cycles 60
       )
      (case 3
            (part2:addToPic())
            (part13:addToPic())
             = cycles 60
       )
      (case 4               
            (part3:addToPic())
            (part12:addToPic())
             = cycles 60
       )
      (case 5        
            (part4:addToPic())
            (part11:addToPic())
             = cycles 60
       )
      (case 6
           (part5:addToPic())
           (part10:addToPic())
             = cycles 60
       )
      (case 7
            (part6:addToPic())
            (part9:addToPic())
             = cycles 60
       )
      (case 8
            (part7:addToPic())
            (part8:addToPic())
            = cycles 5
       )
      (case 9
           Display("An Empty SAC Designed Production" 100 91 172 dsCOLOR clNAVY dsFONT 999)
           Display("An Empty SAC Designed Production" 100 90 172 dsCOLOR clBLUE dsFONT 999)
           Display("Copyright / 2014" 100 121 180 dsCOLOR clNAVY dsFONT 999)
           Display("Copyright / 2014" 100 120 180 dsCOLOR clBLUE dsFONT 999)
             = cycles 185
           
       )
      (case 10
            (Sack:setCycle(End RoomScript)cycleSpeed(15))
	  )
	  (case 11 
	  	     ShakeScreen(1 ssFULL_SHAKE)
             = cycles 145

       )
      (case 12
             (Sack:hide()ignoreActors())            
             Display("An Empty SAC Designed Production" 100 91 172 dsCOLOR clNAVY dsFONT 999)
             Display("An Empty SAC Designed Production" 100 90 172 dsCOLOR clBLUE dsFONT 999)
             Display("Copyright / 2014" 100 121 180 dsCOLOR clNAVY dsFONT 999)
             Display("Copyright / 2014" 100 120 180 dsCOLOR clBLUE dsFONT 999)
             = cycles 20
       )
      (case 13 //(Sack:setScript(bigIntro))
      	       = goToRoom 802
	  )
				//(send gRoom:newRoom(INITROOMS_SCRIPT))
    ) // end switch
  ) // end method
)// end instance
/******************************************************************************/

(instance part0 of Act(properties view 994 loop 0 cel 0 x 160 y 10))
(instance part1 of Act(properties view 994 loop 0 cel 1 x 160 y 19))
(instance part2 of Act(properties view 994 loop 0 cel 2 x 160 y 28))
(instance part3 of Act(properties view 994 loop 0 cel 3 x 160 y 37))
(instance part4 of Act(properties view 994 loop 0 cel 4 x 160 y 47))
(instance part5 of Act(properties view 994 loop 0 cel 5 x 160 y 56))
(instance part6 of Act(properties view 994 loop 0 cel 6 x 160 y 65))
(instance part7 of Act(properties view 994 loop 0 cel 7 x 160 y 74))
(instance part8 of Act(properties view 994 loop 0 cel 8 x 160 y 81))
(instance part9 of Act(properties view 994 loop 0 cel 9 x 160 y 89))
(instance part10 of Act(properties view 994 loop 0 cel 10 x 160 y 97))
(instance part11 of Act(properties view 994 loop 0 cel 11 x 160 y 106))
(instance part12 of Act(properties view 994 loop 0 cel 12 x 160 y 114))
(instance part13 of Act(properties view 994 loop 0 cel 13 x 160 y 122))
(instance part14 of Act(properties view 994 loop 0 cel 14 x 160 y 132))
(instance part15 of Act(properties view 994 loop 0 cel 15 x 160 y 142))
(instance Sack of Prop(properties view 994 loop 1 x 195 y 154))


