/******************************************************************************/
(include "sci.sh")(include "game.sh")                (script 802)
/******************************************************************************/ 
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj") 
(use "sciAudio")
/******************************************************************************/
(local
 canSkip = FALSE
 doCursor = FALSE
 snd
)
//*****************************************************************************
(instance public rm802 of Rm
(properties picture 802)
  (method (init)
  ProgramControl() 
  = gProgramControl FALSE
  (send gGame:setSpeed(1))
  (SL:disable())
  (super:init())
  = goToRoom 0
  = snd aud
  (self:setScript(RoomScript))
  
  (send (Prop:new()):view(802)loop(0)cel(0)posn(112 92)setPri(0)addToPic())	
  (send (Prop:new()):view(802)loop(1)cel(0)posn(251 115)setPri(0)addToPic())
  (highlight:cycleSpeed(7)init()setScript(hightlightScript))	
  // Display("Holy crap, it's dark in here."  dsCOORD 120 80 dsCOLOR 15 dsFONT 1 dsBACKGROUND -1 )

    
  /*(send gTheMusic:
         prevSignal(0)
         stop()
         number(201)
         loop(1)
         play()
      ) 
      */	      	  	       
  )// end method
)// end instance
/******************************************************************************/
(instance highlight of Prop(properties x 112 y 92 view 802 loop 2 cel 0))
(instance hightlightScript of Script
(properties)
  (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 = cycles 20)
      (case 1 (highlight:setCycle(End)))    
	)//end switch
  )// end method
)// end instance
//****************************************************************************
(instance RoomScript of Script
(properties)     
  (method (doit)
  (super:doit())  
   
   (if(not(doCursor))
    SetCursor(0 HaveMouse())
    = doCursor TRUE
   )
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC 800)
    UnLoad(rsPIC 801)
    UnLoad(rsPIC 802)
    UnLoad(rsSCRIPT TITLESCREEN_SCRIPT)
    UnLoad(rsSCRIPT SCIAUDIO_SCRIPT)
    UnLoad(rsSOUND 800) 
    UnLoad(rsVIEW 994) 
    UnLoad(rsVIEW 801) 
    UnLoad(rsVIEW 1)  
    UnLoad(rsVIEW 100)  
    UnLoad(rsVIEW 101)  
    UnLoad(rsVIEW 102) 
    (send gTheMusic:fade())
   //******************************************** 
   // Actually Go to the new Room...
   //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0   
 )// end method
  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if( not (send pEvent:claimed) )
      (if(canSkip) 
               (RoomScript:changeState(32))
               //= goToRoom INITROOMS_SCRIPT
               )
    ) 
  )// end method
    (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 = cycles 300
              = canSkip TRUE
	  )
      (case 1
      	  DrawPic(801 7)
      	   
  	      (jeff:init()setPri(0))
  	      (razor:init()setPri(0))
  	      (dave:init()setPri(0))
  	      (bernard:init()setPri(0))
  	      (adoor:init()setPri(0)ignoreActors())
  	      Display("Press any key to skip intro."  dsCOORD 100 172 dsCOLOR 15 dsFONT 4 dsBACKGROUND -1 )
  	      = cycles 20
      )
      (case 2 (wordBubble:init()setPri(15))// jeff
      	      (bernard:cel(1))
      	      (jeff:setCycle(Fwd)cycleSpeed(5))
      	      = seconds 7
	  )
	  (case 3  (wordBubble:posn(400 400))
	  	       (jeff:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 4 (wordBubble:cel(1)posn(270 59))// jeff
      	      (jeff:setCycle(Fwd))
	  	      = seconds 7
	  )
	  (case 5   (wordBubble:posn(400 400))
	  	       (jeff:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 6 (wordBubble:loop(5)cel(0)posn(191 51))// razor
	  	      (bernard:cel(0))
      	      (razor:setCycle(Fwd)cycleSpeed(5))
	  	      = seconds 7
	  )
	  (case 7   (wordBubble:posn(400 400))
	  	       (razor:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 8 (wordBubble:loop(5)cel(1)posn(191 51))// razor
      	      (razor:setCycle(Fwd))
	  	      = seconds 7
	  )
	  (case 9   (wordBubble:posn(400 400))
	  	       (razor:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 10 (wordBubble:loop(5)cel(2)posn(191 51))// razor
      	      (razor:setCycle(Fwd))
	  	      = seconds 7
	  )
	  (case 11   (wordBubble:posn(400 400))
	  	       (razor:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 12 (wordBubble:loop(6)cel(0)posn(58 113))// dave
      	       (dave:setCycle(Fwd)cycleSpeed(5))
	  	       (bernard:cel(2))
	  	      = seconds 5
	  )
	  (case 13 (wordBubble:posn(400 400))
	  	       (dave:setCycle(NULL)cel(0))
	  	       = cycles 20
	  )
	  (case 14 (bernard:cel(0))
	  	       = seconds 4
	  )
	  (case 15 // play cricket sound
	  	       (bernard:cel(0))
	  	       (send snd:
                  command("play")
                  fileName("effects\\cricket.sciAudio")
                  volume("30")
                  loopFadeInMillisecs("0000")
                  loopFadeOutMillisecs("0000")
                  loopCount("0")  // loop forever
                  init()
               )
               
	  	       = seconds 3
	  )
	  (case 16 (wordBubble:loop(7)cel(0)posn(236 136))
	  	      = seconds 7
	  )
	  (case 17   (wordBubble:posn(400 400))
                 (send gGame:setSpeed(6))
	  	         = cycles 10
	  )
	  (case 18   (bernard:view(1)setCycle(Walk)setMotion(MoveTo 177 100 RoomScript)))
      (case 19 (adoor:cel(1))
      	       = cycles 2
	  )
	  (case 20  (bernard:setMotion(MoveTo 177 89 RoomScript)))
	  (case 21 (adoor:cel(0)setPri(13))
	  	
	  	       (send snd:
                  command("play")
                  fileName("effects\\frondoorclose.sciAudio")
                  volume("100")
                  loopFadeInMillisecs("0000")
                  loopFadeOutMillisecs("0000")
                  loopCount("0")  // loop forever
                  init()
               )
	  	       (jeff:setPri(14))
	  	       = cycles 2
	  )
	  (case 22 ShakeScreen(2 ssFULL_SHAKE)
	  	       = cycles 35)
	  
	  (case 23 (wordBubble:setPri(15)loop(4)cel(2)posn(270 59))
      	      (jeff:setCycle(Fwd)cycleSpeed(5))
	  	      = seconds 4
	  )
	  (case 24   (wordBubble:posn(400 400))
	  	       (jeff:setCycle(NULL)cel(0))
	  	       = cycles 15
	  )
	  (case 25 (wordBubble:loop(5)cel(3)posn(191 51))
      	      (razor:setCycle(Fwd)cycleSpeed(5))
	  	      = seconds 3
	  )
	  (case 26   (wordBubble:posn(400 400))
      	        (razor:setCycle(Beg)cel(0))
	  	       = cycles 5
	  )
	  (case 27 (razor:view(102)cycleSpeed(0)setCycle(Walk)setMotion(MoveTo 136 140 RoomScript)))
	  (case 28 (jeff:view(101)loop(2))
	  	       (razor:setMotion(MoveTo 136 148 RoomScript))
	  )
	  (case 29 (dave:view(100))
	  	       (razor:setMotion(MoveTo 136 158 RoomScript))
	  )
	  (case 30 (dave:posn(400 400))
	  	       (jeff:posn(400 400))
	  	       (razor:hide())
	  	       (bernard:hide())
	  	       (adoor:posn(400 400))
	  	       DrawPic(800 dpCLOSEREOPEN_CENTEREDGE)
	  	       = seconds 1
	  )
	  (case 31 Display("Meanwhile... Inside."  dsCOORD 110 80 dsCOLOR 15 dsFONT 1 dsBACKGROUND -1 )
	  	       = seconds 3
	  )
	  (case 32
	  	        (send snd:
                     command("play")
                     fileName("music\\doom.sciAudio")
                     volume("100")
                     loopFadeInMillisecs("0000")
                     loopFadeOutMillisecs("0000")
                     loopCount("0")  // loop forever
                     init()
                 )
               = cycles 1)
       (case 33
               = goToRoom INITROOMS_SCRIPT
	  )
    ) // end switch
  ) // end method
)// end instance
/******************************************************************************/

(instance jeff of Prop(properties x 215 y 123 view 801 loop 0 cel 0)) 
(instance razor of Act(properties x 136 y 115 view 801 loop 1 cel 0)) 
(instance dave of Prop(properties x 104 y 129 view 801 loop 2 cel 0))  
(instance bernard of Act(properties x 178 y 145 view 801 loop 8 cel 0))  
(instance adoor of Prop(properties x 185 y 93 view 801 loop 3 cel 0))  
(instance wordBubble of Prop(properties x 270 y 59 view 801 loop 4 cel 0))
 
(instance aud of sciAudio(properties)(method (init)(super:init())))
